diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 48a65ae..039b707 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -30057,6 +30057,15 @@ FunctionSpaceUnivariatePolynomialFactor(R, F, UP):
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GALFACTU}{beauzamyBound} &
+\cross{GALFACTU}{bombieriNorm} &
+\cross{GALFACTU}{height} &
+\cross{GALFACTU}{infinityNorm} &
+\cross{GALFACTU}{length} \\
+\cross{GALFACTU}{norm} &
+\cross{GALFACTU}{quadraticNorm} &
+\cross{GALFACTU}{rootBound} &
+\cross{GALFACTU}{singleFactorBound} &
 \end{tabular}
 
 <<package GALFACTU GaloisGroupFactorizationUtilities>>=
@@ -30231,6 +30240,24 @@ GaloisGroupFactorizationUtilities(R,UP,F): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GALFACT}{btwFact} &
+\cross{GALFACT}{degreePartition} &
+\cross{GALFACT}{eisensteinIrreducible?} &
+\cross{GALFACT}{factor} &
+\cross{GALFACT}{factorOfDegree} \\
+\cross{GALFACT}{factorSquareFree} &
+\cross{GALFACT}{henselFact} &
+\cross{GALFACT}{makeFR} &
+\cross{GALFACT}{modularFactor} &
+\cross{GALFACT}{musserTrials} \\
+\cross{GALFACT}{numberOfFactors} &
+\cross{GALFACT}{stopMusserTrials} &
+\cross{GALFACT}{tryFunctionalDecomposition} &
+\cross{GALFACT}{tryFunctionalDecomposition?} &
+\cross{GALFACT}{useEisensteinCriterion} \\
+\cross{GALFACT}{useEisensteinCriterion?} &
+\cross{GALFACT}{useSingleFactorBound} &
+\cross{GALFACT}{useSingleFactorBound?} &&
 \end{tabular}
 
 <<package GALFACT GaloisGroupFactorizer>>=
@@ -31053,6 +31080,14 @@ GaloisGroupFactorizer(UP): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GALPOLYU}{degreePartition} &
+\cross{GALPOLYU}{factorOfDegree} &
+\cross{GALPOLYU}{factorsOfDegree} &
+\cross{GALPOLYU}{monic?} &
+\cross{GALPOLYU}{reverse} \\
+\cross{GALPOLYU}{scaleRoots} &
+\cross{GALPOLYU}{shiftRoots} &
+\cross{GALPOLYU}{unvectorise} &&
 \end{tabular}
 
 <<package GALPOLYU GaloisGroupPolynomialUtilities>>=
@@ -31169,6 +31204,13 @@ GaloisGroupPolynomialUtilities(R,UP): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GALUTIL}{fillPascalTriangle} &
+\cross{GALUTIL}{pascalTriangle} &
+\cross{GALUTIL}{rangePascalTriangle} &
+\cross{GALUTIL}{safeCeiling} &
+\cross{GALUTIL}{safeFloor} \\
+\cross{GALUTIL}{safetyMargin} &
+\cross{GALUTIL}{sizePascalTriangle} &&&
 \end{tabular}
 
 <<package GALUTIL GaloisGroupUtilities>>=
@@ -31301,7 +31343,10 @@ GaloisGroupUtilities(R): Exports == Implementation where
 \pagepic{ps/v104gaussianfactorizationpackage.ps}{GAUSSFAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{GAUSSFAC}{factor} &
+\cross{GAUSSFAC}{prime?} &
+\cross{GAUSSFAC}{sumSquares} 
 \end{tabular}
 
 <<package GAUSSFAC GaussianFactorizationPackage>>=
@@ -31494,7 +31539,10 @@ GaussianFactorizationPackage() : C == T
 \pagepic{ps/v104generalhenselpackage.ps}{GHENSEL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{GHENSEL}{completeHensel} &
+\cross{GHENSEL}{HenselLift} &
+\cross{GHENSEL}{reduction} 
 \end{tabular}
 
 <<package GHENSEL GeneralHenselPackage>>=
@@ -31656,8 +31704,7 @@ GeneralHenselPackage(RP,TP):C == T where
 \pagepic{ps/v104generalizedmultivariatefactorize.ps}{GENMFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{GENMFACT}{factor} 
 
 <<package GENMFACT GeneralizedMultivariateFactorize>>=
 )abbrev package GENMFACT GeneralizedMultivariateFactorize
@@ -31719,7 +31766,9 @@ GeneralizedMultivariateFactorize(OV,E,S,R,P) : C == T
 \pagepic{ps/v104generalpolynomialgcdpackage.ps}{GENPGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{GENPGCD}{gcdPolynomial} &
+\cross{GENPGCD}{randomR} 
 \end{tabular}
 
 <<package GENPGCD GeneralPolynomialGcdPackage>>=
@@ -32370,7 +32419,11 @@ GeneralPolynomialGcdPackage(E,OV,R,P):C == T where
 \pagepic{ps/v104generateunivariatepowerseries.ps}{GENUPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{GENUPS}{laurent} &
+\cross{GENUPS}{puiseux} &
+\cross{GENUPS}{series} &
+\cross{GENUPS}{taylor} 
 \end{tabular}
 
 <<package GENUPS GenerateUnivariatePowerSeries>>=
@@ -32582,6 +32635,11 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GENEEZ}{compBound} &
+\cross{GENEEZ}{reduction} &
+\cross{GENEEZ}{solveid} &
+\cross{GENEEZ}{tablePow} &
+\cross{GENEEZ}{testModulus} 
 \end{tabular}
 
 <<package GENEEZ GenExEuclid>>=
@@ -32792,8 +32850,7 @@ GenExEuclid(R,BP) : C == T
 \pagepic{ps/v104genufactorize.ps}{GENUFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{GENUFACT}{factor} 
 
 <<package GENUFACT GenUFactorize>>=
 )abbrev package GENUFACT GenUFactorize
@@ -32871,7 +32928,15 @@ GenUFactorize(R) : public == private where
 \pagepic{ps/v104genuszerointegration.ps}{INTG0}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INTG0}{lift} &
+\cross{INTG0}{multivariate} &
+\cross{INTG0}{palgLODE0} &
+\cross{INTG0}{palgRDE0} \\
+\cross{INTG0}{palgextint0} &
+\cross{INTG0}{palgint0} &
+\cross{INTG0}{palglimint0} &
+\cross{INTG0}{univariate} 
 \end{tabular}
 
 <<package INTG0 GenusZeroIntegration>>=
@@ -33148,8 +33213,7 @@ GenusZeroIntegration(R, F, L): Exports == Implementation where
 \pagepic{ps/v104gospersummationmethod.ps}{GOSPER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{GOSPER}{GospersMethod} 
 
 <<package GOSPER GosperSummationMethod>>=
 )abbrev package GOSPER GosperSummationMethod
@@ -33375,7 +33439,13 @@ GosperSummationMethod(E, V, R, P, Q): Exports == Impl where
 \pagepic{ps/v104graphicsdefaults.ps}{GRDEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{GRDEF}{adaptive} &
+\cross{GRDEF}{clipPointsDefault} &
+\cross{GRDEF}{drawToScale} &
+\cross{GRDEF}{maxPoints} &
+\cross{GRDEF}{minPoints} &
+\cross{GRDEF}{screenResolution} 
 \end{tabular}
 
 <<package GRDEF GraphicsDefaults>>=
@@ -33479,6 +33549,8 @@ GraphicsDefaults(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GRAY}{firstSubsetGray} &
+\cross{GRAY}{nextSubsetGray} 
 \end{tabular}
 
 <<package GRAY GrayCode>>=
@@ -33769,7 +33841,9 @@ o )show EuclideanGroebnerBasisPackage
 \pagepic{ps/v104groebnerfactorizationpackage.ps}{GBF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{GBF}{factorGroebnerBasis} &
+\cross{GBF}{groebnerFactorize} 
 \end{tabular}
 
 <<package GBF GroebnerFactorizationPackage>>=
@@ -34122,6 +34196,30 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GBINTERN}{credPol} &
+\cross{GBINTERN}{critB} &
+\cross{GBINTERN}{critBonD} &
+\cross{GBINTERN}{critM} &
+\cross{GBINTERN}{critMTonD1} \\
+\cross{GBINTERN}{critMonD1} &
+\cross{GBINTERN}{critpOrder} &
+\cross{GBINTERN}{critT} &
+\cross{GBINTERN}{fprindINFO} &
+\cross{GBINTERN}{gbasis} \\
+\cross{GBINTERN}{hMonic} &
+\cross{GBINTERN}{lepol} &
+\cross{GBINTERN}{makeCrit} &
+\cross{GBINTERN}{minGbasis} &
+\cross{GBINTERN}{prinb} \\
+\cross{GBINTERN}{prindINFO} &
+\cross{GBINTERN}{prinpolINFO} &
+\cross{GBINTERN}{prinshINFO} &
+\cross{GBINTERN}{redPo} &
+\cross{GBINTERN}{redPol} \\
+\cross{GBINTERN}{sPol} &
+\cross{GBINTERN}{updatD} &
+\cross{GBINTERN}{updatF} &
+\cross{GBINTERN}{virtualDegree} &
 \end{tabular}
 
 <<package GBINTERN GroebnerInternalPackage>>=
@@ -35887,7 +35985,9 @@ o )show EuclideanGroebnerBasisPackage
 \pagepic{ps/v104groebnerpackage.ps}{GB}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{GB}{groebner} &
+\cross{GB}{normalForm} 
 \end{tabular}
 
 <<package GB GroebnerPackage>>=
@@ -36054,7 +36154,10 @@ GroebnerPackage(Dom, Expon, VarSet, Dpol): T == C where
 \pagepic{ps/v104groebnersolve.ps}{GROEBSOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{GROEBSOL}{genericPosition} &
+\cross{GROEBSOL}{groebSolve} &
+\cross{GROEBSOL}{testDim} 
 \end{tabular}
 
 <<package GROEBSOL GroebnerSolve>>=
@@ -36267,6 +36370,19 @@ GFUN.
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESS}{diffHP} &
+\cross{GUESS}{guess} &
+\cross{GUESS}{guessADE} &
+\cross{GUESS}{guessAlg} &
+\cross{GUESS}{guessBinRat} \\
+\cross{GUESS}{guessExpRat} &
+\cross{GUESS}{guessHP} &
+\cross{GUESS}{guessHolo} &
+\cross{GUESS}{guessPRec} &
+\cross{GUESS}{guessPade} \\
+\cross{GUESS}{guessRat} &
+\cross{GUESS}{guessRec} &
+\cross{GUESS}{shiftHP} &&
 \end{tabular}
 
 <<package GUESS Guess>>=
@@ -38610,6 +38726,19 @@ guess(list: List F, guessers: List GUESSER, ops: List Symbol)
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESSAN}{diffHP} &
+\cross{GUESSAN}{guess} &
+\cross{GUESSAN}{guessADE} &
+\cross{GUESSAN}{guessAlg} &
+\cross{GUESSAN}{guessBinRat} \\
+\cross{GUESSAN}{guessExpRat} &
+\cross{GUESSAN}{guessHP} &
+\cross{GUESSAN}{guessHolo} &
+\cross{GUESSAN}{guessPRec} &
+\cross{GUESSAN}{guessPade} \\
+\cross{GUESSAN}{guessRat} &
+\cross{GUESSAN}{guessRec} &
+\cross{GUESSAN}{shiftHP} &&
 \end{tabular}
 
 <<package GUESSAN GuessAlgebraicNumber>>=
@@ -38636,6 +38765,19 @@ GuessAlgebraicNumber() == Guess(AlgebraicNumber, AlgebraicNumber,
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESSF}{diffHP} &
+\cross{GUESSF}{guess} &
+\cross{GUESSF}{guessADE} &
+\cross{GUESSF}{guessAlg} &
+\cross{GUESSF}{guessBinRat} \\
+\cross{GUESSF}{guessExpRat} &
+\cross{GUESSF}{guessHP} &
+\cross{GUESSF}{guessHolo} &
+\cross{GUESSF}{guessPRec} &
+\cross{GUESSF}{guessPade} \\
+\cross{GUESSF}{guessRat} &
+\cross{GUESSF}{guessRec} &
+\cross{GUESSF}{shiftHP} &&
 \end{tabular}
 
 <<package GUESSF GuessFinite>>=
@@ -38659,8 +38801,7 @@ GuessFinite(F:Join(FiniteFieldCategory, ConvertibleTo Integer)) ==
 \pagepic{ps/v104guessfinitefunctions.ps}{GUESSF1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{GUESSF1}{F2EXPRR} 
 
 <<package GUESSF1 GuessFiniteFunctions>>=
 )abbrev package GUESSF1 GuessFiniteFunctions
@@ -38693,6 +38834,19 @@ GuessFiniteFunctions(F:Join(FiniteFieldCategory, ConvertibleTo Integer)):
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESSINT}{diffHP} &
+\cross{GUESSINT}{guess} &
+\cross{GUESSINT}{guessADE} &
+\cross{GUESSINT}{guessAlg} &
+\cross{GUESSINT}{guessBinRat} \\
+\cross{GUESSINT}{guessExpRat} &
+\cross{GUESSINT}{guessHP} &
+\cross{GUESSINT}{guessHolo} &
+\cross{GUESSINT}{guessPRec} &
+\cross{GUESSINT}{guessPade} \\
+\cross{GUESSINT}{guessRat} &
+\cross{GUESSINT}{guessRec} &
+\cross{GUESSINT}{shiftHP} &&
 \end{tabular}
 
 <<package GUESSINT GuessInteger>>=
@@ -38720,6 +38874,25 @@ GuessInteger() == Guess(Fraction Integer, Integer, Expression Integer,
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GOPT0}{allDegrees} &
+\cross{GOPT0}{coerce} &
+\cross{GOPT0}{debug} &
+\cross{GOPT0}{displayAsGF} &
+\cross{GOPT0}{functionName} \\
+\cross{GOPT0}{hash} &
+\cross{GOPT0}{homogeneous} &
+\cross{GOPT0}{indexName} &
+\cross{GOPT0}{latex} &
+\cross{GOPT0}{maxDegree} \\
+\cross{GOPT0}{maxDerivative} &
+\cross{GOPT0}{maxLevel} &
+\cross{GOPT0}{maxPower} &
+\cross{GOPT0}{maxShift} &
+\cross{GOPT0}{one} \\
+\cross{GOPT0}{safety} &
+\cross{GOPT0}{variableName} &
+\cross{GOPT0}{?\~{}=?} &
+\cross{GOPT0}{?=?} &
 \end{tabular}
 
 <<package GOPT0 GuessOptionFunctions0>>=
@@ -38879,6 +39052,19 @@ GuessOptionFunctions0(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESSP}{diffHP} &
+\cross{GUESSP}{guess} &
+\cross{GUESSP}{guessADE} &
+\cross{GUESSP}{guessAlg} &
+\cross{GUESSP}{guessBinRat} \\
+\cross{GUESSP}{guessExpRat} &
+\cross{GUESSP}{guessHP} &
+\cross{GUESSP}{guessHolo} &
+\cross{GUESSP}{guessPRec} &
+\cross{GUESSP}{guessPade} \\
+\cross{GUESSP}{guessRat} &
+\cross{GUESSP}{guessRec} &
+\cross{GUESSP}{shiftHP} &&
 \end{tabular}
 
 <<package GUESSP GuessPolynomial>>=
@@ -38905,6 +39091,19 @@ GuessPolynomial() == Guess(Fraction Polynomial Integer, Polynomial Integer,
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{GUESSUP}{diffHP} &
+\cross{GUESSUP}{guess} &
+\cross{GUESSUP}{guessADE} &
+\cross{GUESSUP}{guessAlg} &
+\cross{GUESSUP}{guessBinRat} \\
+\cross{GUESSUP}{guessExpRat} &
+\cross{GUESSUP}{guessHP} &
+\cross{GUESSUP}{guessHolo} &
+\cross{GUESSUP}{guessPRec} &
+\cross{GUESSUP}{guessPade} \\
+\cross{GUESSUP}{guessRat} &
+\cross{GUESSUP}{guessRec} &
+\cross{GUESSUP}{shiftHP} &&
 \end{tabular}
 
 <<package GUESSUP GuessUnivariatePolynomial>>=
@@ -39138,6 +39337,9 @@ GuessUnivariatePolynomial(q: Symbol): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{HB}{generate} &
+\cross{HB}{inHallBasis?} &
+\cross{HB}{lfunc} 
 \end{tabular}
 
 <<package HB HallBasis>>=
@@ -39244,7 +39446,13 @@ HallBasis() : Export == Implement where
 \pagepic{ps/v104heugcd.ps}{HEUGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{HEUGCD}{content} &
+\cross{HEUGCD}{gcd} &
+\cross{HEUGCD}{gcdcofact} &
+\cross{HEUGCD}{gcdcofactprim} &
+\cross{HEUGCD}{gcdprim} &
+\cross{HEUGCD}{lintgcd} 
 \end{tabular}
 
 <<package HEUGCD HeuGcd>>=
@@ -39482,7 +39690,13 @@ HeuGcd (BP):C == T
 \pagepic{ps/v104idealdecompositionpackage.ps}{IDECOMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{IDECOMP}{contract} &
+\cross{IDECOMP}{primaryDecomp} &
+\cross{IDECOMP}{prime?} &
+\cross{IDECOMP}{radical} &
+\cross{IDECOMP}{zeroDimPrimary?} &
+\cross{IDECOMP}{zeroDimPrime?} 
 \end{tabular}
 
 <<package IDECOMP IdealDecompositionPackage>>=
@@ -39884,7 +40098,9 @@ IdealDecompositionPackage(vl,nv) : C == T -- take away nv, now doesn't
 \pagepic{ps/v104incrementingmaps.ps}{INCRMAPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{INCRMAPS}{increment} &
+\cross{INCRMAPS}{incrementBy} 
 \end{tabular}
 
 <<package INCRMAPS IncrementingMaps>>=
@@ -39928,7 +40144,11 @@ IncrementingMaps(R:Join(Monoid, AbelianSemiGroup)): with
 \pagepic{ps/v104infiniteproductcharacteristiczero.ps}{INFPROD0}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INFPROD0}{evenInfiniteProduct} &
+\cross{INFPROD0}{infiniteProduct} &
+\cross{INFPROD0}{oddInfiniteProduct} &
+\cross{INFPROD0}{generalInfiniteProduct} 
 \end{tabular}
 
 <<package INFPROD0 InfiniteProductCharacteristicZero>>=
@@ -39993,7 +40213,11 @@ InfiniteProductCharacteristicZero(Coef,UTS):_
 \pagepic{ps/v104infiniteproductfinitefield.ps}{INPRODFF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INPRODFF}{evenInfiniteProduct} &
+\cross{INPRODFF}{generalInfiniteProduct} &
+\cross{INPRODFF}{infiniteProduct} &
+\cross{INPRODFF}{oddInfiniteProduct} 
 \end{tabular}
 
 <<package INPRODFF InfiniteProductFiniteField>>=
@@ -40118,7 +40342,11 @@ InfiniteProductFiniteField(K,UP,Coef,UTS):_
 \pagepic{ps/v104infiniteproductprimefield.ps}{INPRODPF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INPRODPF}{evenInfiniteProduct} &
+\cross{INPRODPF}{generalInfiniteProduct} &
+\cross{INPRODPF}{infiniteProduct} &
+\cross{INPRODPF}{oddInfiniteProduct} 
 \end{tabular}
 
 <<package INPRODPF InfiniteProductPrimeField>>=
@@ -40190,8 +40418,7 @@ InfiniteProductPrimeField(Coef,UTS): Exports == Implementation where
 \pagepic{ps/v104infinitetuplefunctions2.ps}{ITFUN2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ITFUN2}{map} 
 
 <<package ITFUN2 InfiniteTupleFunctions2>>=
 )abbrev package ITFUN2 InfiniteTupleFunctions2
@@ -40221,8 +40448,7 @@ InfiniteTupleFunctions2(A:Type,B:Type): Exports == Implementation where
 \pagepic{ps/v104infinitetuplefunctions3.ps}{ITFUN3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ITFUN3}{map} 
 
 <<package ITFUN3 InfiniteTupleFunctions3>>=
 )abbrev package ITFUN3 InfiniteTupleFunctions3
@@ -40263,7 +40489,10 @@ InfiniteTupleFunctions3(A:Type, B:Type,C:Type): Exports
 \pagepic{ps/v104infinity.ps}{INFINITY}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INFINITY}{infinity} &
+\cross{INFINITY}{minusInfinity} &
+\cross{INFINITY}{plusInfinity} 
 \end{tabular}
 
 <<package INFINITY Infinity>>=
@@ -40300,8 +40529,7 @@ Infinity(): with
 \pagepic{ps/v104inneralgfactor.ps}{IALGFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{IALGFACT}{factor} 
 
 <<package IALGFACT InnerAlgFactor>>=
 )abbrev package IALGFACT InnerAlgFactor
@@ -40403,7 +40631,10 @@ InnerAlgFactor(F, UP, AlExt, AlPol): Exports == Implementation where
 \pagepic{ps/v104innercommondenominator.ps}{ICDEN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ICDEN}{clearDenominator} &
+\cross{ICDEN}{commonDenominator} &
+\cross{ICDEN}{splitDenominator} 
 \end{tabular}
 
 <<package ICDEN InnerCommonDenominator>>=
@@ -40701,7 +40932,10 @@ InnerMatrixLinearAlgebraFunctions(R,Row,Col,M):_
 \pagepic{ps/v104innermatrixquotientfieldfunctions.ps}{IMATQF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{IMATQF}{inverse} &
+\cross{IMATQF}{rowEchelon} &
+\cross{IMATQF}{nullSpace} 
 \end{tabular}
 
 <<package IMATQF InnerMatrixQuotientFieldFunctions>>=
@@ -40775,7 +41009,10 @@ InnerMatrixQuotientFieldFunctions(R,Row,Col,M,QF,Row2,Col2,M2):_
 \pagepic{ps/v104innermodulargcd.ps}{INMODGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INMODGCD}{modularGcd} &
+\cross{INMODGCD}{modularGcdPrimitive} &
+\cross{INMODGCD}{reduction} 
 \end{tabular}
 
 <<package INMODGCD InnerModularGcd>>=
@@ -41050,8 +41287,7 @@ InnerModularGcd(R,BP,pMod,nextMod):C == T
 \pagepic{ps/v104innermultfact.ps}{INNMFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INNMFACT}{factor} 
 
 <<package INNMFACT InnerMultFact>>=
 )abbrev package INNMFACT InnerMultFact
@@ -41502,6 +41738,26 @@ InnerMultFact(OV,E,R,P) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{INBFF}{basis} &
+\cross{INBFF}{dAndcExp} &
+\cross{INBFF}{expPot} &
+\cross{INBFF}{index} &
+\cross{INBFF}{inv} \\
+\cross{INBFF}{lookup} &
+\cross{INBFF}{minimalPolynomial} &
+\cross{INBFF}{norm} &
+\cross{INBFF}{normalElement} &
+\cross{INBFF}{normal?} \\
+\cross{INBFF}{pol} &
+\cross{INBFF}{qPot} &
+\cross{INBFF}{random} &
+\cross{INBFF}{repSq} &
+\cross{INBFF}{setFieldInfo} \\
+\cross{INBFF}{trace} &
+\cross{INBFF}{xn} &
+\cross{INBFF}{?*?} &
+\cross{INBFF}{?**?} &
+\cross{INBFF}{?/?} 
 \end{tabular}
 
 <<package INBFF InnerNormalBasisFieldFunctions>>=
@@ -41867,7 +42123,10 @@ InnerNormalBasisFieldFunctions(GF): Exports == Implementation where
 \pagepic{ps/v104innernumericeigenpackage.ps}{INEP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INEP}{charpol} &
+\cross{INEP}{innerEigenvectors} &
+\cross{INEP}{solve1} 
 \end{tabular}
 
 <<package INEP InnerNumericEigenPackage>>=
@@ -42079,7 +42338,10 @@ InnerNumericEigenPackage(K,F,Par) : C == T
 \pagepic{ps/v104innernumericfloatsolvepackage.ps}{INFSP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INFSP}{innerSolve} &
+\cross{INFSP}{innerSolve1} &
+\cross{INFSP}{makeEq} 
 \end{tabular}
 
 <<package INFSP InnerNumericFloatSolvePackage>>=
@@ -42284,8 +42546,7 @@ InnerNumericFloatSolvePackage(K,F,Par): Cat == Cap where
 \pagepic{ps/v104innerpolysign.ps}{INPSIGN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INPSIGN}{signAround} 
 
 <<package INPSIGN InnerPolySign>>=
 )abbrev package INPSIGN InnerPolySign
@@ -42343,8 +42604,7 @@ InnerPolySign(R, UP): Exports == Implementation where
 \pagepic{ps/v104innerpolysum.ps}{ISUMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ISUMP}{sum} 
 
 <<package ISUMP InnerPolySum>>=
 )abbrev package ISUMP InnerPolySum
@@ -42415,6 +42675,11 @@ InnerPolySum(E, V, R, P): Exports == Impl where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{ITRIGMNP}{F2FG} &
+\cross{ITRIGMNP}{FG2F} &
+\cross{ITRIGMNP}{GF2FG} &
+\cross{ITRIGMNP}{explogs2trigs} &
+\cross{ITRIGMNP}{trigs2explogs} 
 \end{tabular}
 
 <<package ITRIGMNP InnerTrigonometricManipulations>>=
@@ -42596,7 +42861,9 @@ InnerTrigonometricManipulations(R,F,FG): Exports == Implementation where
 \pagepic{ps/v104inputformfunctions1.ps}{INFORM1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{INFORM1}{interpret} &
+\cross{INFORM1}{packageCall} 
 \end{tabular}
 
 <<package INFORM1 InputFormFunctions1>>=
@@ -42645,7 +42912,10 @@ representation and so are much facter than using a quotient loop.
 \pagepic{ps/v104integerbits.ps}{INTBIT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INTBIT}{bitLength} &
+\cross{INTBIT}{bitCoef} &
+\cross{INTBIT}{bitTruth} 
 \end{tabular}
 
 <<package INTBIT IntegerBits>>=
@@ -42683,6 +42953,13 @@ IntegerBits: with
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{COMBINAT}{binomial} &
+\cross{COMBINAT}{factorial} &
+\cross{COMBINAT}{multinomial} &
+\cross{COMBINAT}{partition} &
+\cross{COMBINAT}{permutation} \\
+\cross{COMBINAT}{stirling1} &
+\cross{COMBINAT}{stirling2} &&&
 \end{tabular}
 
 <<package COMBINAT IntegerCombinatoricFunctions>>=
@@ -42843,7 +43120,11 @@ IntegerCombinatoricFunctions(I:IntegerNumberSystem): with
 \pagepic{ps/v104integerfactorizationpackage.ps}{INTFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INTFACT}{BasicMethod} &
+\cross{INTFACT}{factor} &
+\cross{INTFACT}{squareFree} &
+\cross{INTFACT}{PollardSmallFactor} 
 \end{tabular}
 
 <<package INTFACT IntegerFactorizationPackage>>=
@@ -43336,7 +43617,10 @@ o )show IntegerLinearDependence
 \pagepic{ps/v104integerlineardependence.ps}{ZLINDEP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ZLINDEP}{linearDependenceOverZ} &
+\cross{ZLINDEP}{linearlyDependentOverZ?} &
+\cross{ZLINDEP}{solveLinearlyOverQ} 
 \end{tabular}
 
 <<package ZLINDEP IntegerLinearDependence>>=
@@ -43945,6 +44229,19 @@ o )show IntegerNumberTheoryFunctions
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{INTHEORY}{bernoulli} &
+\cross{INTHEORY}{chineseRemainder} &
+\cross{INTHEORY}{divisors} &
+\cross{INTHEORY}{euler} &
+\cross{INTHEORY}{eulerPhi} \\
+\cross{INTHEORY}{fibonacci} &
+\cross{INTHEORY}{harmonic} &
+\cross{INTHEORY}{jacobi} &
+\cross{INTHEORY}{legendre} &
+\cross{INTHEORY}{moebiusMu} \\
+\cross{INTHEORY}{numberOfDivisors} &
+\cross{INTHEORY}{sumOfDivisors} &
+\cross{INTHEORY}{sumOfKthPowerDivisors} &
 \end{tabular}
 
 <<package INTHEORY IntegerNumberTheoryFunctions>>=
@@ -44209,7 +44506,11 @@ We've expanded the list of small primes to include those between 1 and 10000.
 \pagepic{ps/v104integerprimespackage.ps}{PRIMES}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{PRIMES}{nextPrime} &
+\cross{PRIMES}{prevPrime} &
+\cross{PRIMES}{prime?} &
+\cross{PRIMES}{primes} 
 \end{tabular}
 
 <<package PRIMES IntegerPrimesPackage>>=
@@ -44648,7 +44949,10 @@ that is the square of the upper bound of the table range, in this case
 \pagepic{ps/v104integerretractions.ps}{INTRET}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INTRET}{integer} &
+\cross{INTRET}{integer?} &
+\cross{INTRET}{integerIfCan} 
 \end{tabular}
 
 <<package INTRET IntegerRetractions>>=
@@ -44684,7 +44988,13 @@ IntegerRetractions(S:RetractableTo(Integer)): with
 \pagepic{ps/v104integerroots.ps}{IROOT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{IROOT}{approxSqrt} &
+\cross{IROOT}{approxNthRoot} &
+\cross{IROOT}{perfectNthPower?} &
+\cross{IROOT}{perfectNthRoot} &
+\cross{IROOT}{perfectSqrt} &
+\cross{IROOT}{perfectSquare?} 
 \end{tabular}
 
 <<package IROOT IntegerRoots>>=
@@ -44833,8 +45143,7 @@ IntegerRoots(I:IntegerNumberSystem): Exports == Implementation where
 \pagepic{ps/v104integersolvelinearpolynomialequation.ps}{INTSLPE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INTSLPE}{solveLinearPolynomialEquation} 
 
 <<package INTSLPE IntegerSolveLinearPolynomialEquation>>=
 )abbrev package INTSLPE IntegerSolveLinearPolynomialEquation
@@ -44896,6 +45205,13 @@ IntegerSolveLinearPolynomialEquation(): C ==T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{IBATOOL}{diagonalProduct} &
+\cross{IBATOOL}{divideIfCan!} &
+\cross{IBATOOL}{idealiser} &
+\cross{IBATOOL}{idealiserMatrix} &
+\cross{IBATOOL}{leastPower} \\
+\cross{IBATOOL}{matrixGcd} &
+\cross{IBATOOL}{moduleSum} &&&
 \end{tabular}
 
 <<package IBATOOL IntegralBasisTools>>=
@@ -45051,7 +45367,11 @@ IntegralBasisTools(R,UP,F): Exports == Implementation where
 \pagepic{ps/v104integralbasispolynomialtools.ps}{IBPTOOLS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{IBPTOOLS}{mapBivariate} &
+\cross{IBPTOOLS}{mapMatrixIfCan} &
+\cross{IBPTOOLS}{mapUnivariate} &
+\cross{IBPTOOLS}{mapUnivariateIfCan} 
 \end{tabular}
 
 <<package IBPTOOLS IntegralBasisPolynomialTools>>=
@@ -45156,8 +45476,7 @@ IntegralBasisPolynomialTools(K,R,UP,L): Exports == Implementation where
 \pagepic{ps/v104integrationresultfunctions2.ps}{IR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{IR2}{map} 
 
 <<package IR2 IntegrationResultFunctions2>>=
 )abbrev package IR2 IntegrationResultFunctions2
@@ -45237,6 +45556,11 @@ IntegrationResultFunctions2(E, F): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{IRRF2F}{complexExpand} &
+\cross{IRRF2F}{complexIntegrate} &
+\cross{IRRF2F}{expand} &
+\cross{IRRF2F}{integrate} &
+\cross{IRRF2F}{split} 
 \end{tabular}
 
 <<package IRRF2F IntegrationResultRFToFunction>>=
@@ -45317,6 +45641,9 @@ IntegrationResultRFToFunction(R): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{IR2F}{complexExpand} &
+\cross{IR2F}{expand} &
+\cross{IR2F}{split} 
 \end{tabular}
 
 <<package IR2F IntegrationResultToFunction>>=
@@ -45547,6 +45874,14 @@ IntegrationResultToFunction(R, F): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{INTTOOLS}{kmax} &
+\cross{INTTOOLS}{intPatternMatch} &
+\cross{INTTOOLS}{ksec} &
+\cross{INTTOOLS}{mkPrim} &
+\cross{INTTOOLS}{removeConstantTerm} \\
+\cross{INTTOOLS}{union} &
+\cross{INTTOOLS}{vark} &
+\cross{INTTOOLS}{varselect} &&
 \end{tabular}
 
 <<package INTTOOLS IntegrationTools>>=
@@ -45696,8 +46031,7 @@ IntegrationTools(R:OrderedSet, F:FunctionSpace R): Exp == Impl where
 \pagepic{ps/v104internalprintpackage.ps}{IPRNTPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{IPRNTPK}{iprint} 
 
 <<package IPRNTPK InternalPrintPackage>>=
 )abbrev package IPRNTPK InternalPrintPackage
@@ -45738,7 +46072,9 @@ InternalPrintPackage(): Exports == Implementation where
 \pagepic{ps/v104internalrationalunivariaterepresentationpackage.ps}{IRURPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{IRURPK}{checkRur} &
+\cross{IRURPK}{rur} 
 \end{tabular}
 
 <<package IRURPK InternalRationalUnivariateRepresentationPackage>>=
@@ -45947,8 +46283,7 @@ InternalRationalUnivariateRepresentationPackage(R,E,V,P,TS): Exports == Implemen
 \pagepic{ps/v104irredpolyoverfinitefield.ps}{IRREDFFX}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{IRREDFFX}{generateIrredPoly} 
 
 <<package IRREDFFX IrredPolyOverFiniteField>>=
 )abbrev package IRREDFFX IrredPolyOverFiniteField
@@ -46027,7 +46362,9 @@ IrredPolyOverFiniteField(GF:FiniteFieldCategory): Exports == Impl where
 \pagepic{ps/v104irrrepsymnatpackage.ps}{IRSN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{IRSN}{dimensionOfIrreducibleRepresentation} &
+\cross{IRSN}{irreducibleRepresentation} 
 \end{tabular}
 
 <<package IRSN IrrRepSymNatPackage>>=
@@ -46352,8 +46689,7 @@ IrrRepSymNatPackage(): public == private where
 \pagepic{ps/v104inverselaplacetransform.ps}{INVLAPLA}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INVLAPLA}{inverseLaplace} 
 
 <<package INVLAPLA InverseLaplaceTransform>>=
 )abbrev package INVLAPLA InverseLaplaceTransform
@@ -46466,7 +46802,9 @@ InverseLaplaceTransform(R, F): Exports == Implementation where
 \pagepic{ps/v104kernelfunctions2.ps}{KERNEL2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{KERNEL2}{constantKernel} &
+\cross{KERNEL2}{constantIfCan} 
 \end{tabular}
 
 <<package KERNEL2 KernelFunctions2>>=
@@ -46498,8 +46836,7 @@ KernelFunctions2(R:OrderedSet, S:OrderedSet): with
 \pagepic{ps/v104kovacic.ps}{KOVACIC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{KOVACIC}{kovacic} 
 
 <<package KOVACIC Kovacic>>=
 )abbrev package KOVACIC Kovacic
@@ -46608,8 +46945,7 @@ Kovacic(F, UP): Exports == Impl where
 \pagepic{ps/v104laplacetransform.ps}{LAPLACE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LAPLACE}{laplace} 
 
 <<package LAPLACE LaplaceTransform>>=
 )abbrev package LAPLACE LaplaceTransform
@@ -46841,7 +47177,9 @@ LaplaceTransform(R, F): Exports == Implementation where
 \pagepic{ps/v104lazardsetsolvingpackage.ps}{LAZM3PK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{LAZM3PK}{normalizeIfCan} &
+\cross{LAZM3PK}{zeroSetSplit} 
 \end{tabular}
 
 <<package LAZM3PK LazardSetSolvingPackage>>=
@@ -46979,7 +47317,9 @@ LazardSetSolvingPackage(R,E,V,P,TS,ST): Exports == Implementation where
 \pagepic{ps/v104leadingcoefdetermination.ps}{LEADCDET}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{LEADCDET}{distFact} &
+\cross{LEADCDET}{polCase} 
 \end{tabular}
 
 <<package LEADCDET LeadingCoefDetermination>>=
@@ -50545,7 +50885,13 @@ o )show LexTriangularPackage
 \pagepic{ps/v104lextriangularpackage.ps}{LEXTRIPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{LEXTRIPK}{fglmIfCan} &
+\cross{LEXTRIPK}{groebner} &
+\cross{LEXTRIPK}{lexTriangular} \\
+\cross{LEXTRIPK}{squareFreeLexTriangular} &
+\cross{LEXTRIPK}{zeroDimensional?} &
+\cross{LEXTRIPK}{zeroSetSplit} 
 \end{tabular}
 
 <<package LEXTRIPK LexTriangularPackage>>=
@@ -50784,7 +51130,10 @@ LexTriangularPackage(R,ls): Exports == Implementation where
 \pagepic{ps/v104lineardependence.ps}{LINDEP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{LINDEP}{linearDependence} &
+\cross{LINDEP}{linearlyDependent?} &
+\cross{LINDEP}{solveLinear} 
 \end{tabular}
 
 <<package LINDEP LinearDependence>>=
@@ -50872,7 +51221,9 @@ LinearDependence(S, R): Exports == Implementation where
 \pagepic{ps/v104linearordinarydifferentialoperatorfactorizer.ps}{LODOF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{LODOF}{factor} &
+\cross{LODOF}{factor1} 
 \end{tabular}
 
 <<package LODOF LinearOrdinaryDifferentialOperatorFactorizer>>=
@@ -51006,7 +51357,10 @@ LinearOrdinaryDifferentialOperatorFactorizer(F, UP): Exports == Impl where
 \pagepic{ps/v104linearordinarydifferentialoperatorsops.ps}{LODOOPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{LODOOPS}{directSum} &
+\cross{LODOOPS}{symmetricPower} &
+\cross{LODOOPS}{symmetricProduct} 
 \end{tabular}
 
 <<package LODOOPS LinearOrdinaryDifferentialOperatorsOps>>=
@@ -51124,8 +51478,7 @@ LinearOrdinaryDifferentialOperatorsOps(A, L): Exports == Implementation where
 \pagepic{ps/v104linearpolynomialequationbyfractions.ps}{LPEFRAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LPEFRAC}{solveLinearPolynomialEquationByFractions} 
 
 <<package LPEFRAC LinearPolynomialEquationByFractions>>=
 )abbrev package LPEFRAC LinearPolynomialEquationByFractions
@@ -51192,7 +51545,11 @@ LinearPolynomialEquationByFractions(R:PolynomialFactorizationExplicit): with
 \pagepic{ps/v104linearsystemmatrixpackage.ps}{LSMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{LSMP}{hasSolution?} &
+\cross{LSMP}{particularSolution} &
+\cross{LSMP}{rank} &
+\cross{LSMP}{solve} 
 \end{tabular}
 
 <<package LSMP LinearSystemMatrixPackage>>=
@@ -51300,7 +51657,11 @@ LinearSystemMatrixPackage(F, Row, Col, M): Cat == Capsule where
 \pagepic{ps/v104linearsystemmatrixpackage1.ps}{LSMP1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{LSMP1}{hasSolution?} &
+\cross{LSMP1}{particularSolution} &
+\cross{LSMP1}{rank} &
+\cross{LSMP1}{solve} 
 \end{tabular}
 
 <<package LSMP1 LinearSystemMatrixPackage1>>=
@@ -51381,8 +51742,7 @@ LinearSystemMatrixPackage1(F): Cat == Capsule where
 \pagepic{ps/v104linearsystempolynomialpackage.ps}{LSPP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LSPP}{linSolve} 
 
 <<package LSPP LinearSystemPolynomialPackage>>=
 )abbrev package LSPP LinearSystemPolynomialPackage
@@ -51461,6 +51821,16 @@ LinearSystemPolynomialPackage(R, E, OV, P): Cat == Capsule where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{LGROBP}{anticoord} &
+\cross{LGROBP}{choosemon} &
+\cross{LGROBP}{computeBasis} &
+\cross{LGROBP}{coord} &
+\cross{LGROBP}{groebgen} \\
+\cross{LGROBP}{intcompBasis} &
+\cross{LGROBP}{linGenPos} &
+\cross{LGROBP}{minPol} &
+\cross{LGROBP}{totolex} &
+\cross{LGROBP}{transform} 
 \end{tabular}
 
 <<package LGROBP LinGroebnerPackage>>=
@@ -51785,6 +52155,16 @@ LinGroebnerPackage(lv,F) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{LF}{belong?} &
+\cross{LF}{Ci} &
+\cross{LF}{dilog} &
+\cross{LF}{Ei} &
+\cross{LF}{erf} \\
+\cross{LF}{integral} &
+\cross{LF}{li} &
+\cross{LF}{integral} &
+\cross{LF}{operator} &
+\cross{LF}{Si} 
 \end{tabular}
 
 <<package LF LiouvillianFunction>>=
@@ -51985,7 +52365,10 @@ LiouvillianFunction(R, F): Exports == Implementation where
 \pagepic{ps/v104listfunctions2.ps}{LIST2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{LIST2}{map} &
+\cross{LIST2}{reduce} &
+\cross{LIST2}{scan} 
 \end{tabular}
 
 <<package LIST2 ListFunctions2>>=
@@ -52047,8 +52430,7 @@ ListFunctions2(A:Type, B:Type): public == private where
 \pagepic{ps/v104listfunctions3.ps}{LIST3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LIST3}{map} 
 
 <<package LIST3 ListFunctions3>>=
 )abbrev package LIST3 ListFunctions3
@@ -52097,8 +52479,7 @@ ListFunctions3(A:Type, B:Type, C:Type): public == private where
 \pagepic{ps/v104listtomap.ps}{LIST2MAP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LIST2MAP}{match} 
 
 <<package LIST2MAP ListToMap>>=
 )abbrev package LIST2MAP ListToMap
@@ -52203,7 +52584,9 @@ ListToMap(A:SetCategory, B:Type): Exports == Implementation where
 \pagepic{ps/v104makebinarycompiledfunction.ps}{MKBCFUNC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MKBCFUNC}{binaryFunction} &
+\cross{MKBCFUNC}{compiledFunction} 
 \end{tabular}
 
 <<package MKBCFUNC MakeBinaryCompiledFunction>>=
@@ -52600,8 +52983,7 @@ o )show MakeFunction
 \pagepic{ps/v104makefunction.ps}{MKFUNC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MKFUNC}{function} 
 
 <<package MKFUNC MakeFunction>>=
 )abbrev package MKFUNC MakeFunction
@@ -52646,8 +53028,7 @@ MakeFunction(S:ConvertibleTo InputForm): Exports == Implementation where
 \pagepic{ps/v104makerecord.ps}{MKRECORD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MKRECORD}{makeRecord} 
 
 <<package MKRECORD MakeRecord>>=
 )abbrev package MKRECORD MakeRecord
@@ -52679,7 +53060,9 @@ MakeRecord(S: Type, T: Type): public == private where
 \pagepic{ps/v104makeunarycompiledfunction.ps}{MKUCFUNC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MKUCFUNC}{unaryFunction} &
+\cross{MKUCFUNC}{compiledFunction} 
 \end{tabular}
 
 <<package MKUCFUNC MakeUnaryCompiledFunction>>=
@@ -52733,7 +53116,9 @@ MakeUnaryCompiledFunction(S, D, I): Exports == Implementation where
 \pagepic{ps/v104mappingpackageinternalhacks1.ps}{MAPHACK1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MAPHACK1}{iter} &
+\cross{MAPHACK1}{recur} 
 \end{tabular}
 
 <<package MAPHACK1 MappingPackageInternalHacks1>>=
@@ -52781,7 +53166,9 @@ MappingPackageInternalHacks1(A: SetCategory): MPcat == MPdef where
 \pagepic{ps/v104mappingpackageinternalhacks2.ps}{MAPHACK2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MAPHACK2}{arg1} &
+\cross{MAPHACK2}{arg2} 
 \end{tabular}
 
 <<package MAPHACK2 MappingPackageInternalHacks2>>=
@@ -52816,8 +53203,7 @@ MappingPackageInternalHacks2(A: SetCategory, C: SetCategory):_
 \pagepic{ps/v104mappingpackageinternalhacks3.ps}{MAPHACK3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MAPHACK3}{comp} 
 
 <<package MAPHACK3 MappingPackageInternalHacks3>>=
 )abbrev package MAPHACK3 MappingPackageInternalHacks3
@@ -53266,7 +53652,13 @@ o )help MappingPackage4
 \pagepic{ps/v104mappingpackage1.ps}{MAPPKG1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{MAPPKG1}{coerce} &
+\cross{MAPPKG1}{fixedPoint} &
+\cross{MAPPKG1}{id} &
+\cross{MAPPKG1}{nullary} &
+\cross{MAPPKG1}{recur} &
+\cross{MAPPKG1}{?**?} 
 \end{tabular}
 
 <<package MAPPKG1 MappingPackage1>>=
@@ -53772,7 +54164,11 @@ o )help MappingPackage4
 \pagepic{ps/v104mappingpackage2.ps}{MAPPKG2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{MAPPKG2}{const} &
+\cross{MAPPKG2}{constant} &
+\cross{MAPPKG2}{curry} &
+\cross{MAPPKG2}{diag} 
 \end{tabular}
 
 <<package MAPPKG2 MappingPackage2>>=
@@ -54245,7 +54641,13 @@ o )help MappingPackage4
 \pagepic{ps/v104MappingPackage3.ps}{MAPPKG3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{MAPPKG3}{constantLeft} &
+\cross{MAPPKG3}{constantRight} &
+\cross{MAPPKG3}{curryLeft} &
+\cross{MAPPKG3}{curryRight} &
+\cross{MAPPKG3}{twist} &
+\cross{MAPPKG3}{?*?} 
 \end{tabular}
 
 <<package MAPPKG3 MappingPackage3>>=
@@ -54572,7 +54974,11 @@ o )help MappingPackage4
 \pagepic{ps/v104mappingpackage4.ps}{MAPPKG4}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{MAPPKG4}{?*?} &
+\cross{MAPPKG4}{?+?} &
+\cross{MAPPKG4}{?-?} &
+\cross{MAPPKG4}{?/?} 
 \end{tabular}
 
 <<package MAPPKG4 MappingPackage4>>=
@@ -56043,6 +56449,15 @@ have to be switched by swapping names.
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MMLFORM}{coerce} &
+\cross{MMLFORM}{coerceL} &
+\cross{MMLFORM}{coerceS} &
+\cross{MMLFORM}{display} &
+\cross{MMLFORM}{exprex} \\
+\cross{MMLFORM}{hash} &
+\cross{MMLFORM}{latex} &
+\cross{MMLFORM}{?=?} &
+\cross{MMLFORM}{?\~{}=?} &
 \end{tabular}
 
 <<package MMLFORM MathMLForm>>=
@@ -56066,7 +56481,9 @@ have to be switched by swapping names.
 \pagepic{ps/v104MatrixCategoryFunctions2.ps}{MATCAT2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MATCAT2}{map} &
+\cross{MATCAT2}{reduce} 
 \end{tabular}
 
 <<package MATCAT2 MatrixCategoryFunctions2>>=
@@ -56147,7 +56564,10 @@ MatrixCategoryFunctions2(R1,Row1,Col1,M1,R2,Row2,Col2,M2):_
 \pagepic{ps/v104matrixcommondenominator.ps}{MCDEN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{MCDEN}{commonDenominator} &
+\cross{MCDEN}{clearDenominator} &
+\cross{MCDEN}{splitDenominator} 
 \end{tabular}
 
 <<package MCDEN MatrixCommonDenominator>>=
@@ -56209,6 +56629,20 @@ MatrixCommonDenominator(R, Q): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MATLIN}{adjoint} &
+\cross{MATLIN}{determinant} &
+\cross{MATLIN}{elColumn2!} &
+\cross{MATLIN}{elRow1!} &
+\cross{MATLIN}{elRow2!} \\
+\cross{MATLIN}{fractionFreeGauss!} &
+\cross{MATLIN}{inverse} &
+\cross{MATLIN}{invertIfCan} &
+\cross{MATLIN}{minordet} &
+\cross{MATLIN}{normalizedDivide} \\
+\cross{MATLIN}{nullSpace} &
+\cross{MATLIN}{nullity} &
+\cross{MATLIN}{rank} &
+\cross{MATLIN}{rowEchelon} &
 \end{tabular}
 
 <<package MATLIN MatrixLinearAlgebraFunctions>>=
@@ -56554,8 +56988,7 @@ MatrixLinearAlgebraFunctions(R,Row,Col,M):Exports == Implementation where
 \pagepic{ps/v104mergething.ps}{MTHING}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MTHING}{mergeDifference} 
 
 <<package MTHING MergeThing>>=
 )abbrev package MTHING MergeThing
@@ -56601,7 +57034,11 @@ MergeThing(S:OrderedSet): Exports == Implementation where
 \pagepic{ps/v104meshcreationroutinesforthreedimensions.ps}{MESH}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{MESH}{meshFun2Var} &
+\cross{MESH}{meshPar1Var} &
+\cross{MESH}{meshPar2Var} &
+\cross{MESH}{ptFunc} 
 \end{tabular}
 
 <<package MESH MeshCreationRoutinesForThreeDimensions>>=
@@ -56751,7 +57188,13 @@ MeshCreationRoutinesForThreeDimensions():Exports == Implementation where
 \pagepic{ps/v104modulardistinctdegreefactorizer.ps}{MDDFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{MDDFACT}{factor} &
+\cross{MDDFACT}{gcd} &
+\cross{MDDFACT}{linears} &
+\cross{MDDFACT}{ddFact} &
+\cross{MDDFACT}{exptMod} &
+\cross{MDDFACT}{separateFactors} 
 \end{tabular}
 
 <<package MDDFACT ModularDistinctDegreeFactorizer>>=
@@ -56994,6 +57437,11 @@ ModularDistinctDegreeFactorizer(U):C == T where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MHROWRED}{rowEch} &
+\cross{MHROWRED}{normalizedDivide} &
+\cross{MHROWRED}{rowEchLocal} &
+\cross{MHROWRED}{rowEchelon} &
+\cross{MHROWRED}{rowEchelonLocal} 
 \end{tabular}
 
 <<package MHROWRED ModularHermitianRowReduction>>=
@@ -57249,8 +57697,7 @@ ModularHermitianRowReduction(R): Exports == Implementation where
 \pagepic{ps/v104monoidringfunctions2.ps}{MRF2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MRF2}{map} 
 
 <<package MRF2 MonoidRingFunctions2>>=
 )abbrev package MRF2 MonoidRingFunctions2
@@ -57297,7 +57744,11 @@ MonoidRingFunctions2(R,S,M) : Exports == Implementation where
 \pagepic{ps/v104monomialextensiontools.ps}{MONOTOOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{MONOTOOL}{decompose} &
+\cross{MONOTOOL}{normalDenom} &
+\cross{MONOTOOL}{split} &
+\cross{MONOTOOL}{splitSquarefree} 
 \end{tabular}
 
 <<package MONOTOOL MonomialExtensionTools>>=
@@ -57384,8 +57835,7 @@ MonomialExtensionTools(F, UP): Exports == Implementation where
 \pagepic{ps/v104moresystemcommands.ps}{MSYSCMD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MSYSCMD}{systemCommand} 
 
 <<package MSYSCMD MoreSystemCommands>>=
 )abbrev package MSYSCMD MoreSystemCommands
@@ -57430,8 +57880,7 @@ MoreSystemCommands: public == private where
 \pagepic{ps/v104mpolycatpolyfactorizer.ps}{MPCPF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MPCPF}{factor} 
 
 <<package MPCPF MPolyCatPolyFactorizer>>=
 )abbrev package MPCPF MPolyCatPolyFactorizer
@@ -57507,6 +57956,13 @@ MPolyCatPolyFactorizer(E,OV,R,PPR) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MPRFF}{factor} &
+\cross{MPRFF}{pushdown} &
+\cross{MPRFF}{pushup} &
+\cross{MPRFF}{pushdterm} &
+\cross{MPRFF}{pushucoef} \\
+\cross{MPRFF}{pushuconst} &
+\cross{MPRFF}{totalfract} &&&
 \end{tabular}
 
 <<package MPRFF MPolyCatRationalFunctionFactorizer>>=
@@ -57668,7 +58124,9 @@ MPolyCatRationalFunctionFactorizer(E,OV,R,PRF) : C == T
 \pagepic{ps/v104mpolycatfunctions2.ps}{MPC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{MPC2}{map} &
+\cross{MPC2}{reshape} 
 \end{tabular}
 
 <<package MPC2 MPolyCatFunctions2>>=
@@ -57725,8 +58183,7 @@ MPolyCatFunctions2(VarSet,E1,E2,R,S,PR,PS) : public == private where
 \pagepic{ps/v104mpolycatfunctions3.ps}{MPC3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MPC3}{map} 
 
 <<package MPC3 MPolyCatFunctions3>>=
 )abbrev package MPC3 MPolyCatFunctions3
@@ -57772,8 +58229,7 @@ MPolyCatFunctions3(Vars1,Vars2,E1,E2,R,PR1,PR2): C == T where
 \pagepic{ps/v104mrationalfactorize.ps}{MRATFAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MRATFAC}{factor} 
 
 <<package MRATFAC MRationalFactorize>>=
 )abbrev package MRATFAC MRationalFactorize
@@ -57840,8 +58296,7 @@ MRationalFactorize(E,OV,R,P) : C == T
 \pagepic{ps/v104multfinitefactorize.ps}{MFINFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MFINFACT}{factor} 
 
 <<package MFINFACT MultFiniteFactorize>>=
 )abbrev package MFINFACT MultFiniteFactorize
@@ -58347,8 +58802,7 @@ MultFiniteFactorize(OV,E,F,PG) : C == T
 \pagepic{ps/v104multiplemap.ps}{MMAP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MMAP}{map} 
 
 <<package MMAP MultipleMap>>=
 )abbrev package MMAP MultipleMap
@@ -58397,6 +58851,13 @@ MultipleMap(R1,UP1,UPUP1,R2,UP2,UPUP2): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MCALCFN}{bandedHessian} &
+\cross{MCALCFN}{bandedJacobian} &
+\cross{MCALCFN}{divergence} &
+\cross{MCALCFN}{gradient} &
+\cross{MCALCFN}{hessian} \\
+\cross{MCALCFN}{jacobian} &
+\cross{MCALCFN}{laplacian} &&&
 \end{tabular}
 
 <<package MCALCFN MultiVariableCalculusFunctions>>=
@@ -58573,8 +59034,7 @@ MultiVariableCalculusFunctions(S,F,FLAF,FLAS) : Exports == Implementation where
 \pagepic{ps/v104multivariatefactorize.ps}{MULTFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{MULTFACT}{factor} 
 
 <<package MULTFACT MultivariateFactorize>>=
 )abbrev package MULTFACT MultivariateFactorize
@@ -58874,6 +59334,18 @@ MultivariateLifting(E,OV,R,P) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MULTSQFR}{check} &
+\cross{MULTSQFR}{coefChoose} &
+\cross{MULTSQFR}{compdegd} &
+\cross{MULTSQFR}{consnewpol} &
+\cross{MULTSQFR}{intChoose} \\
+\cross{MULTSQFR}{lift} &
+\cross{MULTSQFR}{myDegree} &
+\cross{MULTSQFR}{normDeriv2} &
+\cross{MULTSQFR}{nsqfree} &
+\cross{MULTSQFR}{squareFree} \\
+\cross{MULTSQFR}{squareFreePrim} &
+\cross{MULTSQFR}{univcase} &&&
 \end{tabular}
 
 <<package MULTSQFR MultivariateSquareFree>>=
@@ -59231,6 +59703,22 @@ MultivariateSquareFree (E,OV,R,P) : C == T where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGF02}{f02aaf} &
+\cross{NAGF02}{f02abf} &
+\cross{NAGF02}{f02adf} &
+\cross{NAGF02}{f02aef} &
+\cross{NAGF02}{f02aff} \\
+\cross{NAGF02}{f02agf} &
+\cross{NAGF02}{f02ajf} &
+\cross{NAGF02}{f02akf} &
+\cross{NAGF02}{f02awf} &
+\cross{NAGF02}{f02axf} \\
+\cross{NAGF02}{f02bbf} &
+\cross{NAGF02}{f02bjf} &
+\cross{NAGF02}{f02fjf} &
+\cross{NAGF02}{f02fjf} &
+\cross{NAGF02}{f02wef} \\
+\cross{NAGF02}{f02xef} &&&&
 \end{tabular}
 
 <<package NAGF02 NagEigenPackage>>=
@@ -59756,6 +60244,24 @@ NagEigenPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGE02}{e02adf} &
+\cross{NAGE02}{e02aef} &
+\cross{NAGE02}{e02agf} &
+\cross{NAGE02}{e02ahf} &
+\cross{NAGE02}{e02ajf} \\
+\cross{NAGE02}{e02akf} &
+\cross{NAGE02}{e02baf} &
+\cross{NAGE02}{e02bbf} &
+\cross{NAGE02}{e02bcf} &
+\cross{NAGE02}{e02bdf} \\
+\cross{NAGE02}{e02bef} &
+\cross{NAGE02}{e02daf} &
+\cross{NAGE02}{e02dcf} &
+\cross{NAGE02}{e02ddf} &
+\cross{NAGE02}{e02def} \\
+\cross{NAGE02}{e02dff} &
+\cross{NAGE02}{e02gaf} &
+\cross{NAGE02}{e02zaf} &&
 \end{tabular}
 
 <<package NAGE02 NagFittingPackage>>=
@@ -60304,6 +60810,17 @@ NagFittingPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGF04}{f04adf} &
+\cross{NAGF04}{f04arf} &
+\cross{NAGF04}{f04asf} &
+\cross{NAGF04}{f04atf} &
+\cross{NAGF04}{f04axf} \\
+\cross{NAGF04}{f04faf} &
+\cross{NAGF04}{f04jgf} &
+\cross{NAGF04}{f04maf} &
+\cross{NAGF04}{f04mbf} &
+\cross{NAGF04}{f04mcf} \\
+\cross{NAGF04}{f04qaf} &&&&
 \end{tabular}
 
 <<package NAGF04 NagLinearEquationSolvingPackage>>=
@@ -60672,7 +61189,13 @@ NagLinearEquationSolvingPackage(): Exports == Implementation where
 \pagepic{ps/v104naglinksupportpackage.ps}{NAGSP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{NAGSP}{aspFilename} &
+\cross{NAGSP}{checkPrecision} &
+\cross{NAGSP}{dimensionsOf} &
+\cross{NAGSP}{fortranCompilerName} \\
+\cross{NAGSP}{fortranLinkerArgs} &
+\cross{NAGSP}{restorePrecision} &&
 \end{tabular}
 
 <<package NAGSP NAGLinkSupportPackage>>=
@@ -60762,6 +61285,18 @@ NAGLinkSupportPackage() : exports == implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGD01}{d01ajf} &
+\cross{NAGD01}{d01akf} &
+\cross{NAGD01}{d01alf} &
+\cross{NAGD01}{d01amf} &
+\cross{NAGD01}{d01anf} \\
+\cross{NAGD01}{d01apf} &
+\cross{NAGD01}{d01aqf} &
+\cross{NAGD01}{d01asf} &
+\cross{NAGD01}{d01bbf} &
+\cross{NAGD01}{d01fcf} \\
+\cross{NAGD01}{d01gaf} &
+\cross{NAGD01}{d01gbf} &&&
 \end{tabular}
 
 <<package NAGD01 NagIntegrationPackage>>=
@@ -61169,6 +61704,16 @@ NagIntegrationPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGE01}{e01baf} &
+\cross{NAGE01}{e01bef} &
+\cross{NAGE01}{e01bff} &
+\cross{NAGE01}{e01bgf} &
+\cross{NAGE01}{e01bhf} \\
+\cross{NAGE01}{e01daf} &
+\cross{NAGE01}{e01saf} &
+\cross{NAGE01}{e01sbf} &
+\cross{NAGE01}{e01sef} &
+\cross{NAGE01}{e01sff} 
 \end{tabular}
 
 <<package NAGE01 NagInterpolationPackage>>=
@@ -61457,7 +62002,11 @@ NagInterpolationPackage(): Exports == Implementation where
 \pagepic{ps/v104naglapack.ps}{NAGF07}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{NAGF07}{f07adf} &
+\cross{NAGF07}{f07aef} &
+\cross{NAGF07}{f07fdf} &
+\cross{NAGF07}{f07fef} 
 \end{tabular}
 
 <<package NAGF07 NagLapack>>=
@@ -61600,6 +62149,16 @@ NagLapack(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGF01}{f01brf} &
+\cross{NAGF01}{f01bsf} &
+\cross{NAGF01}{f01maf} &
+\cross{NAGF01}{f01mcf} &
+\cross{NAGF01}{f01qcf} \\
+\cross{NAGF01}{f01qdf} &
+\cross{NAGF01}{f01qef} &
+\cross{NAGF01}{f01rcf} &
+\cross{NAGF01}{f01rdf} &
+\cross{NAGF01}{f01ref} 
 \end{tabular}
 
 <<package NAGF01 NagMatrixOperationsPackage>>=
@@ -61903,6 +62462,14 @@ NagMatrixOperationsPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGE04}{e04dgf} &
+\cross{NAGE04}{e04fdf} &
+\cross{NAGE04}{e04gcf} &
+\cross{NAGE04}{e04jaf} &
+\cross{NAGE04}{e04mbf} \\
+\cross{NAGE04}{e04naf} &
+\cross{NAGE04}{e04ucf} &
+\cross{NAGE04}{e04ycf} &&
 \end{tabular}
 
 <<package NAGE04 NagOptimisationPackage>>=
@@ -62260,6 +62827,15 @@ NagOptimisationPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGD02}{d02bbf} &
+\cross{NAGD02}{d02bhf} &
+\cross{NAGD02}{d02cjf} &
+\cross{NAGD02}{d02ejf} &
+\cross{NAGD02}{d02gaf} \\
+\cross{NAGD02}{d02gbf} &
+\cross{NAGD02}{d02kef} &
+\cross{NAGD02}{d02kef} &
+\cross{NAGD02}{d02raf} &
 \end{tabular}
 
 <<package NAGD02 NagOrdinaryDifferentialEquationsPackage>>=
@@ -62702,7 +63278,10 @@ NagOrdinaryDifferentialEquationsPackage(): Exports == Implementation where
 \pagepic{ps/v104nagpartialdifferentialequationspackage.ps}{NAGD03}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NAGD03}{d03edf} &
+\cross{NAGD03}{d03eef} &
+\cross{NAGD03}{d03faf} 
 \end{tabular}
 
 <<package NAGD03 NagPartialDifferentialEquationsPackage>>=
@@ -62857,7 +63436,9 @@ NagPartialDifferentialEquationsPackage(): Exports == Implementation where
 \pagepic{ps/v104nagpolynomialrootspackage.ps}{NAGC02}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{NAGC02}{c02aff} &
+\cross{NAGC02}{c02agf} 
 \end{tabular}
 
 <<package NAGC02 NagPolynomialRootsPackage>>=
@@ -62947,7 +63528,10 @@ NagPolynomialRootsPackage(): Exports == Implementation where
 \pagepic{ps/v104nagrootfindingpackage.ps}{NAGC05}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NAGC05}{c05adf} &
+\cross{NAGC05}{c05nbf} &
+\cross{NAGC05}{c05pbf} 
 \end{tabular}
 
 <<package NAGC05 NagRootFindingPackage>>=
@@ -63084,6 +63668,18 @@ NagRootFindingPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGC06}{c06eaf} &
+\cross{NAGC06}{c06ebf} &
+\cross{NAGC06}{c06ecf} &
+\cross{NAGC06}{c06ekf} &
+\cross{NAGC06}{c06fpf} \\
+\cross{NAGC06}{c06fqf} &
+\cross{NAGC06}{c06frf} &
+\cross{NAGC06}{c06fuf} &
+\cross{NAGC06}{c06gbf} &
+\cross{NAGC06}{c06gcf} \\
+\cross{NAGC06}{c06gqf} &
+\cross{NAGC06}{c06gsf} &&&
 \end{tabular}
 
 <<package NAGC06 NagSeriesSummationPackage>>=
@@ -63383,6 +63979,44 @@ NagSeriesSummationPackage(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NAGS}{s01eaf} &
+\cross{NAGS}{s13aaf} &
+\cross{NAGS}{s13acf} &
+\cross{NAGS}{s13adf} &
+\cross{NAGS}{s14aaf} \\
+\cross{NAGS}{s14abf} &
+\cross{NAGS}{s14baf} &
+\cross{NAGS}{s15adf} &
+\cross{NAGS}{s15aef} &
+\cross{NAGS}{s17acf} \\
+\cross{NAGS}{s17adf} &
+\cross{NAGS}{s17aef} &
+\cross{NAGS}{s17aff} &
+\cross{NAGS}{s17agf} &
+\cross{NAGS}{s17ahf} \\
+\cross{NAGS}{s17ajf} &
+\cross{NAGS}{s17akf} &
+\cross{NAGS}{s17dcf} &
+\cross{NAGS}{s17def} &
+\cross{NAGS}{s17dgf} \\
+\cross{NAGS}{s17dhf} &
+\cross{NAGS}{s17dlf} &
+\cross{NAGS}{s18acf} &
+\cross{NAGS}{s18adf} &
+\cross{NAGS}{s18aef} \\
+\cross{NAGS}{s18aff} &
+\cross{NAGS}{s18dcf} &
+\cross{NAGS}{s18def} &
+\cross{NAGS}{s19aaf} &
+\cross{NAGS}{s19abf} \\
+\cross{NAGS}{s19acf} &
+\cross{NAGS}{s19adf} &
+\cross{NAGS}{s20acf} &
+\cross{NAGS}{s20adf} &
+\cross{NAGS}{s21baf} \\
+\cross{NAGS}{s21bbf} &
+\cross{NAGS}{s21bcf} &
+\cross{NAGS}{s21bdf} &&
 \end{tabular}
 
 <<package NAGS NagSpecialFunctionsPackage>>=
@@ -64175,8 +64809,7 @@ NagSpecialFunctionsPackage(): Exports == Implementation where
 \pagepic{ps/v104newsparseunivariatepolynomialfunctions2.ps}{NSUP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NSUP2}{map} 
 
 <<package NSUP2 NewSparseUnivariatePolynomialFunctions2>>=
 )abbrev package NSUP2 NewSparseUnivariatePolynomialFunctions2
@@ -64220,8 +64853,7 @@ NewSparseUnivariatePolynomialFunctions2(R:Ring, S:Ring): with
 \pagepic{ps/v104newtoninterpolation.ps}{NEWTON}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NEWTON}{newton} 
 
 <<package NEWTON NewtonInterpolation>>=
 )abbrev package NEWTON NewtonInterpolation
@@ -64274,7 +64906,13 @@ NewtonInterpolation F: Exports == Implementation where
 \pagepic{ps/v104noncommutativeoperatordivision.ps}{NCODIV}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{NCODIV}{leftGcd} &
+\cross{NCODIV}{leftLcm} &
+\cross{NCODIV}{leftQuotient} &
+\cross{NCODIV}{leftRemainder} &
+\cross{NCODIV}{leftDivide} &
+\cross{NCODIV}{leftExactQuotient} 
 \end{tabular}
 
 <<package NCODIV NonCommutativeOperatorDivision>>=
@@ -64384,8 +65022,7 @@ NonCommutativeOperatorDivision(P, F): PDcat == PDdef  where
 \pagepic{ps/v104nonefunctions1.ps}{NONE1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NONE1}{coerce} 
 
 <<package NONE1 NoneFunctions1>>=
 )abbrev package NONE1 NoneFunctions1
@@ -64424,8 +65061,7 @@ NoneFunctions1(S:Type): Exports == Implementation where
 \pagepic{ps/v104nonlinearfirstorderodesolver.ps}{NODE1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NODE1}{solve} 
 
 <<package NODE1 NonLinearFirstOrderODESolver>>=
 )abbrev package NODE1 NonLinearFirstOrderODESolver
@@ -64588,7 +65224,9 @@ NonLinearFirstOrderODESolver(R, F): Exports == Implementation where
 \pagepic{ps/v104nonlinearsolvepackage.ps}{NLINSOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{NLINSOL}{solve} &
+\cross{NLINSOL}{solveInField} 
 \end{tabular}
 
 <<package NLINSOL NonLinearSolvePackage>>=
@@ -64703,6 +65341,11 @@ NonLinearSolvePackage(R:IntegralDomain): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NORMPK}{normalizedAssociate} &
+\cross{NORMPK}{normInvertible?} &
+\cross{NORMPK}{normalize} &
+\cross{NORMPK}{outputArgs} &
+\cross{NORMPK}{recip} 
 \end{tabular}
 
 <<package NORMPK NormalizationPackage>>=
@@ -64915,8 +65558,7 @@ NormalizationPackage(R,E,V,P,TS): Exports == Implementation where
 \pagepic{ps/v104norminmonogenicalgebra.ps}{NORMMA}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NORMMA}{norm} 
 
 <<package NORMMA NormInMonogenicAlgebra>>=
 )abbrev package NORMMA NormInMonogenicAlgebra
@@ -64969,7 +65611,10 @@ NormInMonogenicAlgebra(R, PolR, E, PolE): Exports == Implementation where
 \pagepic{ps/v104normretractpackage.ps}{NORMRETR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NORMRETR}{Frobenius} &
+\cross{NORMRETR}{normFactors} &
+\cross{NORMRETR}{retractIfCan} 
 \end{tabular}
 
 <<package NORMRETR NormRetractPackage>>=
@@ -65040,7 +65685,9 @@ NormRetractPackage(F, ExtF, SUEx, ExtP, n):C  == T where
 \pagepic{ps/v104npcoef.ps}{NPCOEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{NPCOEF}{listexp} &
+\cross{NPCOEF}{npcoef} 
 \end{tabular}
 
 <<package NPCOEF NPCoef>>=
@@ -65212,7 +65859,10 @@ NPCoef(BP,E,OV,R,P) : C == T where
 \pagepic{ps/v104numberfieldintegralbasis.ps}{NFINTBAS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NFINTBAS}{discriminant} &
+\cross{NFINTBAS}{integralBasis} &
+\cross{NFINTBAS}{localIntegralBasis} 
 \end{tabular}
 
 <<package NFINTBAS NumberFieldIntegralBasis>>=
@@ -65455,7 +66105,13 @@ NumberFieldIntegralBasis(UP,F): Exports == Implementation where
 \pagepic{ps/v104numberformats.ps}{NUMFMT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{NUMFMT}{FormatArabic} &
+\cross{NUMFMT}{FormatRoman} &
+\cross{NUMFMT}{ScanArabic} &
+\cross{NUMFMT}{ScanFloatIgnoreSpaces} \\
+\cross{NUMFMT}{ScanFloatIgnoreSpacesIfCan} &
+\cross{NUMFMT}{ScanRoman} &&
 \end{tabular}
 
 <<package NUMFMT NumberFormats>>=
@@ -65662,7 +66318,10 @@ NumberFormats(): NFexports == NFimplementation where
 \pagepic{ps/v104numbertheoreticpolynomialfunctions.ps}{NTPOLFN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NTPOLFN}{bernoulliB} &
+\cross{NTPOLFN}{cyclotomic} &
+\cross{NTPOLFN}{eulerE} 
 \end{tabular}
 
 <<package NTPOLFN NumberTheoreticPolynomialFunctions>>=
@@ -65747,6 +66406,11 @@ NumberTheoreticPolynomialFunctions(R: CommutativeRing): Exports == Impl where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NUMERIC}{numeric} &
+\cross{NUMERIC}{complexNumeric} &
+\cross{NUMERIC}{complexNumericIfCan} &
+\cross{NUMERIC}{numeric} &
+\cross{NUMERIC}{numericIfCan} 
 \end{tabular}
 
 <<package NUMERIC Numeric>>=
@@ -66193,8 +66857,14 @@ Numeric(S:ConvertibleTo Float): with
 \section{package NUMODE NumericalOrdinaryDifferentialEquations}
 \pagehead{NumericalOrdinaryDifferentialEquations}{NUMODE}
 \pagepic{ps/v104numericalordinarydifferentialequations.ps}{NUMODE}{1.00}
+
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NUMODE}{rk4} &
+\cross{NUMODE}{rk4a} &
+\cross{NUMODE}{rk4f} &
+\cross{NUMODE}{rk4qc} &
+\cross{NUMODE}{rk4qc} 
 \end{tabular}
 
 <<package NUMODE NumericalOrdinaryDifferentialEquations>>=
@@ -66565,6 +67235,15 @@ NumericalOrdinaryDifferentialEquations(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{NUMQUAD}{aromberg} &
+\cross{NUMQUAD}{asimpson} &
+\cross{NUMQUAD}{atrapezoidal} &
+\cross{NUMQUAD}{romberg} &
+\cross{NUMQUAD}{rombergo} \\
+\cross{NUMQUAD}{simpson} &
+\cross{NUMQUAD}{simpsono} &
+\cross{NUMQUAD}{trapezoidal} &
+\cross{NUMQUAD}{trapezoidalo} &
 \end{tabular}
 
 <<package NUMQUAD NumericalQuadrature>>=
@@ -67124,14 +67803,10 @@ NumericalQuadrature(): Exports == Implementation where
 \pagepic{ps/v104numericcomplexeigenpackage.ps}{NCEP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
-
-\pagehead{NumericComplexEigenPackage}{NCEP}
-\pagepic{ps/v104numericcomplexeigenpackage.ps}{NCEP}{1.00}
-
-{\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NCEP}{characteristicPolynomial} &
+\cross{NCEP}{complexEigenvalues} &
+\cross{NCEP}{complexEigenvectors} 
 \end{tabular}
 
 <<package NCEP NumericComplexEigenPackage>>=
@@ -67227,8 +67902,7 @@ NumericComplexEigenPackage(Par) : C == T
 \pagepic{ps/v104numericcontinuedfraction.ps}{NCNTFRAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NCNTFRAC}{continuedFraction} 
 
 <<package NCNTFRAC NumericContinuedFraction>>=
 )abbrev package NCNTFRAC NumericContinuedFraction
@@ -67285,7 +67959,10 @@ NumericContinuedFraction(F): Exports == Implementation where
 \pagepic{ps/v104numericrealeigenpackage.ps}{NREP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{NREP}{characteristicPolynomial} &
+\cross{NREP}{realEigenvalues} &
+\cross{NREP}{realEigenvectors} 
 \end{tabular}
 
 <<package NREP NumericRealEigenPackage>>=
@@ -67378,8 +68055,7 @@ NumericRealEigenPackage(Par) : C == T
 \pagepic{ps/v104numerictubeplot.ps}{NUMTUBE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{NUMTUBE}{tube} 
 
 <<package NUMTUBE NumericTubePlot>>=
 )abbrev package NUMTUBE NumericTubePlot
@@ -67500,8 +68176,7 @@ NumericTubePlot(Curve): Exports == Implementation where
 \pagepic{ps/v104octonioncategoryfunctions2.ps}{OCTCT2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{OCTCT2}{map} 
 
 <<package OCTCT2 OctonionCategoryFunctions2>>=
 )abbrev package OCTCT2 OctonionCategoryFunctions2
@@ -67549,7 +68224,10 @@ OctonionCategoryFunctions2(OR,R,OS,S) : Exports ==
 \pagepic{ps/v104odeintegration.ps}{ODEINT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ODEINT}{diff} &
+\cross{ODEINT}{expint} &
+\cross{ODEINT}{int} 
 \end{tabular}
 
 <<package ODEINT ODEIntegration>>=
@@ -67655,7 +68333,10 @@ ODEIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104odetools.ps}{ODETOOLS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ODETOOLS}{particularSolution} &
+\cross{ODETOOLS}{variationOfParameters} &
+\cross{ODETOOLS}{wronskianMatrix} 
 \end{tabular}
 
 <<package ODETOOLS ODETools>>=
@@ -67737,7 +68418,10 @@ ODETools(F, LODO): Exports == Implementation where
 \pagepic{ps/v104onedimensionalarrayfunctions2.ps}{ARRAY12}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ARRAY12}{map} &
+\cross{ARRAY12}{reduce} &
+\cross{ARRAY12}{scan} 
 \end{tabular}
 
 <<package ARRAY12 OneDimensionalArrayFunctions2>>=
@@ -67802,8 +68486,7 @@ OneDimensionalArrayFunctions2(A, B): Exports == Implementation where
 \pagepic{ps/v104onepointcompletionfunctions2.ps}{ONECOMP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ONECOMP2}{map} 
 
 <<package ONECOMP2 OnePointCompletionFunctions2>>=
 )abbrev package ONECOMP2 OnePointCompletionFunctions2
@@ -67849,6 +68532,14 @@ OnePointCompletionFunctions2(R, S): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{OMPKG}{OMlistCDs} &
+\cross{OMPKG}{OMread} &
+\cross{OMPKG}{OMreadFile} &
+\cross{OMPKG}{OMreadStr} &
+\cross{OMPKG}{OMsupportsCD?} \\
+\cross{OMPKG}{OMlistSymbols} &
+\cross{OMPKG}{OMsupportsSymbol?} &
+\cross{OMPKG}{OMunhandledSymbol} &&
 \end{tabular}
 
 <<package OMPKG OpenMathPackage>>=
@@ -67940,7 +68631,10 @@ OpenMathPackage(): with
 \pagepic{ps/v104openmathserverpackage.ps}{OMSERVER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{OMSERVER}{OMreceive} &
+\cross{OMSERVER}{OMsend} &
+\cross{OMSERVER}{OMserve} 
 \end{tabular}
 
 <<package OMSERVER OpenMathServerPackage>>=
@@ -68020,8 +68714,7 @@ OpenMathServerPackage(): with
 \pagepic{ps/v104operationsquery.ps}{OPQUERY}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{OPQUERY}{getDatabase} 
 
 <<package OPQUERY OperationsQuery>>=
 )abbrev package OPQUERY OperationsQuery
@@ -68048,8 +68741,7 @@ OperationsQuery(): Exports == Implementation where
 \pagepic{ps/v104orderedcompletionfunctions2.ps}{ORDCOMP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ORDCOMP2}{map} 
 
 <<package ORDCOMP2 OrderedCompletionFunctions2>>=
 )abbrev package ORDCOMP2 OrderedCompletionFunctions2
@@ -68097,7 +68789,10 @@ OrderedCompletionFunctions2(R, S): Exports == Implementation where
 \pagepic{ps/v104orderingfunctions.ps}{ORDFUNS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ORDFUNS}{pureLex} &
+\cross{ORDFUNS}{reverseLex} &
+\cross{ORDFUNS}{totalLex} 
 \end{tabular}
 
 <<package ORDFUNS OrderingFunctions>>=
@@ -68184,7 +68879,13 @@ OrderingFunctions(dim,S) : T == C  where
 \pagepic{ps/v104orthogonalpolynomialfunctions.ps}{ORTHPOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{ORTHPOL}{chebyshevT} &
+\cross{ORTHPOL}{chebyshevU} &
+\cross{ORTHPOL}{hermiteH} &
+\cross{ORTHPOL}{laguerreL} &
+\cross{ORTHPOL}{laguerreL} &
+\cross{ORTHPOL}{legendreP} 
 \end{tabular}
 
 <<package ORTHPOL OrthogonalPolynomialFunctions>>=
@@ -68305,7 +69006,9 @@ OrthogonalPolynomialFunctions(R: CommutativeRing): Exports == Impl where
 \pagepic{ps/v104outputpackage.ps}{OUT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{OUT}{output} &
+\cross{OUT}{outputList} 
 \end{tabular}
 
 <<package OUT OutputPackage>>=
@@ -68378,8 +69081,7 @@ OutputPackage: with
 \pagepic{ps/v104padeapproximantpackage.ps}{PADEPAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PADEPAC}{pade} 
 
 <<package PADEPAC PadeApproximantPackage>>=
 )abbrev package PADEPAC PadeApproximantPackage
@@ -68443,7 +69145,9 @@ PadeApproximantPackage(R: Field, x:Symbol, pt:R): Exports == Implementation wher
 \pagepic{ps/v104padeapproximants.ps}{PADE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PADE}{pade} &
+\cross{PADE}{padecf} 
 \end{tabular}
 
 <<package PADE PadeApproximants>>=
@@ -68598,7 +69302,10 @@ PadeApproximants(R,PS,UP): Exports == Implementation where
 \pagepic{ps/v104padicwildfunctionfieldintegralbasis.ps}{PWFFINTB}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PWFFINTB}{reducedDiscriminant} &
+\cross{PWFFINTB}{integralBasis} &
+\cross{PWFFINTB}{localIntegralBasis} 
 \end{tabular}
 
 <<package PWFFINTB PAdicWildFunctionFieldIntegralBasis>>=
@@ -68859,8 +69566,7 @@ PAdicWildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
 \pagepic{ps/v104paradoxicalcombinatorsforstreams.ps}{YSTREAM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{YSTREAM}{Y} 
 
 <<package YSTREAM ParadoxicalCombinatorsForStreams>>=
 )abbrev package YSTREAM ParadoxicalCombinatorsForStreams
@@ -68916,6 +69622,30 @@ ParadoxicalCombinatorsForStreams(A):Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PLEQN}{bsolve} &
+\cross{PLEQN}{B1solve} &
+\cross{PLEQN}{dmp2rfi} &
+\cross{PLEQN}{dmp2rfi} &
+\cross{PLEQN}{dmp2rfi} \\
+\cross{PLEQN}{factorset} &
+\cross{PLEQN}{hasoln} &
+\cross{PLEQN}{inconsistent?} &
+\cross{PLEQN}{maxrank} &
+\cross{PLEQN}{minrank} \\
+\cross{PLEQN}{minset} &
+\cross{PLEQN}{nextSublist} &
+\cross{PLEQN}{overset?} &
+\cross{PLEQN}{ParCond} &
+\cross{PLEQN}{ParCondList} \\
+\cross{PLEQN}{pr2dmp} &
+\cross{PLEQN}{psolve} &
+\cross{PLEQN}{rdregime} &
+\cross{PLEQN}{redmat} &
+\cross{PLEQN}{redpps} \\
+\cross{PLEQN}{regime} &
+\cross{PLEQN}{se2rfi} &
+\cross{PLEQN}{sqfree} &
+\cross{PLEQN}{wrregime} &
 \end{tabular}
 
 \begin{verbatim}
@@ -69562,8 +70292,7 @@ ParametricLinearEquations(R,Var,Expon,GR):
 \pagepic{ps/v104parametricplanecurvefunctions2.ps}{PARPC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PARPC2}{map} 
 
 <<package PARPC2 ParametricPlaneCurveFunctions2>>=
 )abbrev package PARPC2 ParametricPlaneCurveFunctions2
@@ -69588,8 +70317,7 @@ ParametricPlaneCurveFunctions2(CF1: Type, CF2:Type): with
 \pagepic{ps/v104parametricspacecurvefunctions2.ps}{PARSC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PARSC2}{map} 
 
 <<package PARSC2 ParametricSpaceCurveFunctions2>>=
 )abbrev package PARSC2 ParametricSpaceCurveFunctions2
@@ -69614,8 +70342,7 @@ ParametricSpaceCurveFunctions2(CF1: Type, CF2:Type): with
 \pagepic{ps/v104parametricsurfacefunctions2.ps}{PARSU2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PARSU2}{map} 
 
 <<package PARSU2 ParametricSurfaceFunctions2>>=
 )abbrev package PARSU2 ParametricSurfaceFunctions2
@@ -69640,8 +70367,7 @@ ParametricSurfaceFunctions2(CF1: Type, CF2:Type): with
 \pagepic{ps/v104partialfractionpackage.ps}{PFRPAC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PFRPAC}{partialFraction} 
 
 <<package PFRPAC PartialFractionPackage>>=
 )abbrev package PFRPAC PartialFractionPackage
@@ -69709,6 +70435,13 @@ PartialFractionPackage(R): Cat == Capsule where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PARTPERM}{conjugate} &
+\cross{PARTPERM}{conjugates} &
+\cross{PARTPERM}{partitions} &
+\cross{PARTPERM}{permutations} &
+\cross{PARTPERM}{sequences} \\
+\cross{PARTPERM}{shuffle} &
+\cross{PARTPERM}{shufflein} &&&
 \end{tabular}
 
 <<package PARTPERM PartitionsAndPermutations>>=
@@ -69837,6 +70570,11 @@ PartitionsAndPermutations: Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PATTERN1}{badValues} &
+\cross{PATTERN1}{addBadValue} &
+\cross{PATTERN1}{predicate} &
+\cross{PATTERN1}{satisfy?} &
+\cross{PATTERN1}{suchThat} 
 \end{tabular}
 
 <<package PATTERN1 PatternFunctions1>>=
@@ -69918,8 +70656,7 @@ PatternFunctions1(R:SetCategory, D:Type): with
 \pagepic{ps/v104patternfunctions2.ps}{PATTERN2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PATTERN2}{map} 
 
 <<package PATTERN2 PatternFunctions2>>=
 )abbrev package PATTERN2 PatternFunctions2
@@ -69971,7 +70708,9 @@ PatternFunctions2(R:SetCategory, S:SetCategory): with
 \pagepic{ps/v104patternmatch.ps}{PATMATCH}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PATMATCH}{is?} &
+\cross{PATMATCH}{Is} 
 \end{tabular}
 
 <<package PATMATCH PatternMatch>>=
@@ -70064,7 +70803,11 @@ PatternMatch(Base, Subject, Pat): Exports == Implementation where
 \pagepic{ps/v104patternmatchassertions.ps}{PMASS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{PMASS}{assert} &
+\cross{PMASS}{constant} &
+\cross{PMASS}{multiple} &
+\cross{PMASS}{optional} 
 \end{tabular}
 
 <<package PMASS PatternMatchAssertions>>=
@@ -70116,8 +70859,7 @@ PatternMatchAssertions(): Exports == Implementation where
 \pagepic{ps/v104patternmatchfunctionspace.ps}{PMFS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMFS}{patternMatch} 
 
 <<package PMFS PatternMatchFunctionSpace>>=
 )abbrev package PMFS PatternMatchFunctionSpace
@@ -70205,8 +70947,7 @@ PatternMatchFunctionSpace(S, R, F): Exports== Implementation where
 \pagepic{ps/v104patternmatchintegernumbersystem.ps}{PMINS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMINS}{patternMatch} 
 
 <<package PMINS PatternMatchIntegerNumberSystem>>=
 )abbrev package PMINS PatternMatchIntegerNumberSystem
@@ -70298,7 +71039,11 @@ PatternMatchIntegerNumberSystem(I:IntegerNumberSystem): with
 \pagepic{ps/v104patternmatchintegration.ps}{INTPM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INTPM}{pmComplexintegrate} &
+\cross{INTPM}{pmintegrate} &
+\cross{INTPM}{pmintegrate} &
+\cross{INTPM}{splitConstant} 
 \end{tabular}
 
 <<package INTPM PatternMatchIntegration>>=
@@ -70631,8 +71376,7 @@ PatternMatchIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104patternmatchkernel.ps}{PMKERNEL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMKERNEL}{patternMatch} 
 
 <<package PMKERNEL PatternMatchKernel>>=
 )abbrev package PMKERNEL PatternMatchKernel
@@ -70742,8 +71486,7 @@ PatternMatchKernel(S, E): Exports == Implementation where
 \pagepic{ps/v104patternmatchlistaggregate.ps}{PMLSAGG}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMLSAGG}{patternMatch} 
 
 <<package PMLSAGG PatternMatchListAggregate>>=
 )abbrev package PMLSAGG PatternMatchListAggregate
@@ -70802,8 +71545,7 @@ PatternMatchListAggregate(S, R, L): Exports == Implementation where
 \pagepic{ps/v104patternmatchpolynomialcategory.ps}{PMPLCAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMPLCAT}{patternMatch} 
 
 <<package PMPLCAT PatternMatchPolynomialCategory>>=
 )abbrev package PMPLCAT PatternMatchPolynomialCategory
@@ -70899,7 +71641,9 @@ PatternMatchPolynomialCategory(S,E,V,R,P):Exports== Implementation where
 \pagepic{ps/v104patternmatchpushdown.ps}{PMDOWN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PMDOWN}{fixPredicate} &
+\cross{PMDOWN}{patternMatch} 
 \end{tabular}
 
 <<package PMDOWN PatternMatchPushDown>>=
@@ -71013,8 +71757,7 @@ PatternMatchPushDown(S, A, B): Exports == Implementation where
 \pagepic{ps/v104patternmatchquotientfieldcategory.ps}{PMQFCAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMQFCAT}{patternMatch} 
 
 <<package PMQFCAT PatternMatchQuotientFieldCategory>>=
 )abbrev package PMQFCAT PatternMatchQuotientFieldCategory
@@ -71065,8 +71808,7 @@ PatternMatchQuotientFieldCategory(S,R,Q):Exports == Implementation where
 \pagepic{ps/v104patternmatchresultfunctions2.ps}{PATRES2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PATRES2}{map} 
 
 <<package PATRES2 PatternMatchResultFunctions2>>=
 )abbrev package PATRES2 PatternMatchResultFunctions2
@@ -71106,8 +71848,7 @@ PatternMatchResultFunctions2(R, A, B): Exports == Implementation where
 \pagepic{ps/v104patternmatchsymbol.ps}{PMSYM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMSYM}{patternMatch} 
 
 <<package PMSYM PatternMatchSymbol>>=
 )abbrev package PMSYM PatternMatchSymbol
@@ -71148,7 +71889,9 @@ PatternMatchSymbol(S:SetCategory): with
 \pagepic{ps/v104patternmatchtools.ps}{PMTOOLS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PMTOOLS}{patternMatch} &
+\cross{PMTOOLS}{patternMatchTimes} 
 \end{tabular}
 
 <<package PMTOOLS PatternMatchTools>>=
@@ -71402,8 +72145,7 @@ o )show Permanent
 \pagepic{ps/v104permanent.ps}{PERMAN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PERMAN}{permanent} 
 
 <<package PERMAN Permanent>>=
 )abbrev package PERMAN Permanent
@@ -71605,6 +72347,19 @@ Permanent(n : PositiveInteger, R : Ring with commutative("*")):
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PGE}{abelianGroup} &
+\cross{PGE}{alternatingGroup} &
+\cross{PGE}{cyclicGroup} &
+\cross{PGE}{dihedralGroup} &
+\cross{PGE}{janko2} \\
+\cross{PGE}{mathieu11} &
+\cross{PGE}{mathieu12} &
+\cross{PGE}{mathieu22} &
+\cross{PGE}{mathieu23} &
+\cross{PGE}{mathieu24} \\
+\cross{PGE}{rubiksGroup} &
+\cross{PGE}{symmetricGroup} &
+\cross{PGE}{youngGroup} &&
 \end{tabular}
 
 <<package PGE PermutationGroupExamples>>=
@@ -71992,8 +72747,7 @@ PermutationGroupExamples():public == private where
 \pagepic{ps/v104picoercions.ps}{PICOERCE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PICOERCE}{coerce} 
 
 <<package PICOERCE PiCoercions>>=
 )abbrev package PICOERCE PiCoercions
@@ -72031,7 +72785,9 @@ PiCoercions(R:Join(OrderedSet, IntegralDomain)): with
 \pagepic{ps/v104plotfunctions1.ps}{PLOT1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PLOT1}{plotPolar} &
+\cross{PLOT1}{plot} 
 \end{tabular}
 
 <<package PLOT1 PlotFunctions1>>=
@@ -72082,8 +72838,7 @@ PlotFunctions1(S:ConvertibleTo InputForm): with
 \pagepic{ps/v104plottools.ps}{PLOTTOOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PLOTTOOL}{calcRanges} 
 
 <<package PLOTTOOL PlotTools>>=
 )abbrev package PLOTTOOL PlotTools
@@ -72174,8 +72929,7 @@ PlotTools(): Exports == Implementation where
 \pagepic{ps/v104pointfunctions2.ps}{PTFUNC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PTFUNC2}{map} 
 
 <<package PTFUNC2 PointFunctions2>>=
 )abbrev package PTFUNC2 PointFunctions2
@@ -72210,6 +72964,15 @@ PointFunctions2(R1:Ring,R2:Ring):Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PTPACK}{color} &
+\cross{PTPACK}{hue} &
+\cross{PTPACK}{phiCoord} &
+\cross{PTPACK}{rCoord} &
+\cross{PTPACK}{shade} \\
+\cross{PTPACK}{thetaCoord} &
+\cross{PTPACK}{xCoord} &
+\cross{PTPACK}{yCoord} &
+\cross{PTPACK}{zCoord} &
 \end{tabular}
 
 <<package PTPACK PointPackage>>=
@@ -72294,8 +73057,10 @@ PointPackage(R:Ring):Exports == Implementation where
     color p == 
       #p > 3 => p.4
       p.3
-    hue p == elt(p,3)       -- 4D points in 2D using extra dimensions for palette information
-    shade p == elt(p,4)     -- 4D points in 2D using extra dimensions for palette information
+    hue p == elt(p,3)       
+      -- 4D points in 2D using extra dimensions for palette information
+    shade p == elt(p,4)     
+      -- 4D points in 2D using extra dimensions for palette information
 
 @
 <<PTPACK.dotabb>>=
@@ -72310,7 +73075,10 @@ PointPackage(R:Ring):Exports == Implementation where
 \pagepic{ps/v104pointsoffiniteorder.ps}{PFO}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PFO}{order} &
+\cross{PFO}{torsion?} &
+\cross{PFO}{torsionIfCan} 
 \end{tabular}
 
 <<package PFO PointsOfFiniteOrder>>=
@@ -72603,7 +73371,10 @@ PointsOfFiniteOrder(R0, F, UP, UPUP, R): Exports == Implementation where
 \pagepic{ps/v104pointsoffiniteorderrational.ps}{PFOQ}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PFOQ}{order} &
+\cross{PFOQ}{torsion?} &
+\cross{PFOQ}{torsionIfCan} 
 \end{tabular}
 
 <<package PFOQ PointsOfFiniteOrderRational>>=
@@ -72699,6 +73470,11 @@ PointsOfFiniteOrderRational(UP, UPUP, R): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PFOTOOLS}{badNum} &
+\cross{PFOTOOLS}{doubleDisc} &
+\cross{PFOTOOLS}{getGoodPrime} &
+\cross{PFOTOOLS}{mix} &
+\cross{PFOTOOLS}{polyred} 
 \end{tabular}
 
 <<package PFOTOOLS PointsOfFiniteOrderTools>>=
@@ -72767,7 +73543,13 @@ PointsOfFiniteOrderTools(UP, UPUP): Exports == Implementation where
 \pagepic{ps/v104poltopol.ps}{POLTOPOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{POLTOPOL}{dmpToHdmp} &
+\cross{POLTOPOL}{dmpToP} &
+\cross{POLTOPOL}{hdmpToDmp} &
+\cross{POLTOPOL}{hdmpToP} &
+\cross{POLTOPOL}{pToDmp} &
+\cross{POLTOPOL}{pToHdmp} 
 \end{tabular}
 
 <<package POLTOPOL PolToPol>>=
@@ -72853,7 +73635,9 @@ PolToPol(lv,R) : C == T
 \pagepic{ps/v104polygroebner.ps}{PGROEB}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PGROEB}{lexGroebner} &
+\cross{PGROEB}{totalGroebner} 
 \end{tabular}
 
 <<package PGROEB PolyGroebner>>=
@@ -72934,8 +73718,7 @@ PolyGroebner(F) : C == T
 \pagepic{ps/v104polynomialan2expression.ps}{PAN2EXPR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PAN2EXPR}{coerce} 
 
 <<package PAN2EXPR PolynomialAN2Expression>>=
 )abbrev package PAN2EXPR PolynomialAN2Expression
@@ -72978,8 +73761,7 @@ PolynomialAN2Expression():Target == Implementation where
 \pagepic{ps/v104polynomialcategorylifting.ps}{POLYLIFT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{POLYLIFT}{map} 
 
 <<package POLYLIFT PolynomialCategoryLifting>>=
 )abbrev package POLYLIFT PolynomialCategoryLifting
@@ -73041,6 +73823,14 @@ PolynomialCategoryLifting(E,Vars,R,P,S): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{POLYCATQ}{variables} &
+\cross{POLYCATQ}{isExpt} &
+\cross{POLYCATQ}{isPlus} &
+\cross{POLYCATQ}{isPower} &
+\cross{POLYCATQ}{isTimes} \\
+\cross{POLYCATQ}{mainVariable} &
+\cross{POLYCATQ}{multivariate} &
+\cross{POLYCATQ}{univariate} &&
 \end{tabular}
 
 <<package POLYCATQ PolynomialCategoryQuotientFunctions>>=
@@ -73187,8 +73977,7 @@ PolynomialCategoryQuotientFunctions(E, V, R, P, F):
 \pagepic{ps/v104polynomialcomposition.ps}{PCOMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PCOMP}{compose} 
 
 Polynomial composition and decomposition functions\\
 If f = g o h then  g = leftFactor(f, h)  and  h = rightFactor(f, g)
@@ -73220,7 +74009,10 @@ PolynomialComposition(UP: UnivariatePolynomialCategory(R), R: Ring): with
 \pagepic{ps/v104polynomialdecomposition.ps}{PDECOMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PDECOMP}{decompose} &
+\cross{PDECOMP}{leftFactor} &
+\cross{PDECOMP}{rightFactorCandidate} 
 \end{tabular}
 
 Polynomial composition and decomposition functions\\
@@ -73295,7 +74087,13 @@ PolynomialDecomposition(UP, F): PDcat == PDdef where
 \pagepic{ps/v104polynomialfactorizationbyrecursion.ps}{PFBR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PFBR}{randomR} &
+\cross{PFBR}{bivariateSLPEBR} &
+\cross{PFBR}{factorByRecursion} \\
+\cross{PFBR}{factorSFBRlcUnit} &
+\cross{PFBR}{factorSquareFreeByRecursion} &
+\cross{PFBR}{solveLinearPolynomialEquationByRecursion} 
 \end{tabular}
 
 <<package PFBR PolynomialFactorizationByRecursion>>=
@@ -73604,7 +74402,12 @@ PolynomialFactorizationByRecursion(R,E, VarSet:OrderedSet, S): public ==
 \pagepic{ps/v104polynomialfactorizationbyrecursionunivariate.ps}{PFBRU}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PFBRU}{randomR} &
+\cross{PFBRU}{factorByRecursion} &
+\cross{PFBRU}{factorSFBRlcUnit} \\
+\cross{PFBRU}{factorSquareFreeByRecursion} &
+\cross{PFBRU}{solveLinearPolynomialEquationByRecursion} &
 \end{tabular}
 
 <<package PFBRU PolynomialFactorizationByRecursionUnivariate>>=
@@ -73859,8 +74662,7 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
 \pagepic{ps/v104polynomialfunctions2.ps}{POLY2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{POLY2}{map} 
 
 <<package POLY2 PolynomialFunctions2>>=
 )abbrev package POLY2 PolynomialFunctions2
@@ -73900,7 +74702,9 @@ PolynomialFunctions2(R:Ring, S:Ring): with
 \pagepic{ps/v104polynomialgcdpackage.ps}{PGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PGCD}{gcd} &
+\cross{PGCD}{gcdPrimitive} 
 \end{tabular}
 
 <<package PGCD PolynomialGcdPackage>>=
@@ -74304,8 +75108,7 @@ PolynomialGcdPackage(E,OV,R,P):C == T where
 \pagepic{ps/v104polynomialinterpolation.ps}{PINTERP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PINTERP}{interpolate} 
 
 <<package PINTERP PolynomialInterpolation>>=
 )abbrev package PINTERP PolynomialInterpolation
@@ -74346,8 +75149,7 @@ PolynomialInterpolation(xx, F): Cat == Body   where
 \pagepic{ps/v104polynomialinterpolationalgorithms.ps}{PINTERPA}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PINTERPA}{LagrangeInterpolation} 
 
 <<package PINTERPA PolynomialInterpolationAlgorithms>>=
 )abbrev package PINTERPA PolynomialInterpolationAlgorithms
@@ -74389,6 +75191,15 @@ PolynomialInterpolationAlgorithms(F, P): Cat == Body   where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PNTHEORY}{bernoulli} &
+\cross{PNTHEORY}{chebyshevT} &
+\cross{PNTHEORY}{chebyshevU} &
+\cross{PNTHEORY}{cyclotomic} &
+\cross{PNTHEORY}{euler} \\
+\cross{PNTHEORY}{fixedDivisor} &
+\cross{PNTHEORY}{hermite} &
+\cross{PNTHEORY}{laguerre} &
+\cross{PNTHEORY}{legendre} &
 \end{tabular}
 
 <<package PNTHEORY PolynomialNumberTheoryFunctions>>=
@@ -74610,7 +75421,11 @@ PolynomialNumberTheoryFunctions(): Exports == Implementation where
 \pagepic{ps/v104polynomialroots.ps}{POLYROOT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{POLYROOT}{froot} &
+\cross{POLYROOT}{nthr} &
+\cross{POLYROOT}{qroot} &
+\cross{POLYROOT}{rroot} 
 \end{tabular}
 
 <<package POLYROOT PolynomialRoots>>=
@@ -74754,6 +75569,37 @@ PolynomialRoots(E, V, R, P, F):Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{PSETPK}{bivariate?} &
+\cross{PSETPK}{crushedSet} \\
+\cross{PSETPK}{interReduce} &
+\cross{PSETPK}{linear?} \\
+\cross{PSETPK}{univariate?} &
+\cross{PSETPK}{bivariatePolynomials} \\
+\cross{PSETPK}{certainlySubVariety?} &
+\cross{PSETPK}{irreducibleFactors} \\
+\cross{PSETPK}{lazyIrreducibleFactors} &
+\cross{PSETPK}{linearPolynomials} \\
+\cross{PSETPK}{possiblyNewVariety?} &
+\cross{PSETPK}{probablyZeroDim?} \\
+\cross{PSETPK}{quasiMonicPolynomials} &
+\cross{PSETPK}{removeIrreducibleRedundantFactors} \\
+\cross{PSETPK}{removeRedundantFactors} &
+\cross{PSETPK}{removeRedundantFactorsInContents} \\
+\cross{PSETPK}{removeRedundantFactorsInPols} &
+\cross{PSETPK}{removeRoughlyRedundantFactorsInContents} \\
+\cross{PSETPK}{removeRoughlyRedundantFactorsInPol} &
+\cross{PSETPK}{removeRoughlyRedundantFactorsInPols} \\
+\cross{PSETPK}{removeSquaresIfCan} &
+\cross{PSETPK}{rewriteIdealWithQuasiMonicGenerators} \\
+\cross{PSETPK}{rewriteSetByReducingWithParticularGenerators} &
+\cross{PSETPK}{roughBasicSet} \\
+\cross{PSETPK}{selectAndPolynomials} &
+\cross{PSETPK}{selectOrPolynomials} \\
+\cross{PSETPK}{selectPolynomials} &
+\cross{PSETPK}{squareFreeFactors} \\
+\cross{PSETPK}{univariatePolynomials} &
+\cross{PSETPK}{univariatePolynomialsGcds} \\
+\cross{PSETPK}{unprotectedRemoveRedundantFactors} &
 \end{tabular}
 
 <<package PSETPK PolynomialSetUtilitiesPackage>>=
@@ -75588,6 +76434,17 @@ PolynomialSetUtilitiesPackage (R,E,V,P) : Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{SOLVEFOR}{aCubic} &
+\cross{SOLVEFOR}{aLinear} &
+\cross{SOLVEFOR}{aQuadratic} &
+\cross{SOLVEFOR}{aQuartic} &
+\cross{SOLVEFOR}{cubic} \\
+\cross{SOLVEFOR}{linear} &
+\cross{SOLVEFOR}{particularSolution} &
+\cross{SOLVEFOR}{quadratic} &
+\cross{SOLVEFOR}{quartic} &
+\cross{SOLVEFOR}{solve} \\
+\cross{SOLVEFOR}{mapSolve} &&&&
 \end{tabular}
 
 <<package SOLVEFOR PolynomialSolveByFormulas>>=
@@ -75874,8 +76731,7 @@ PolynomialSolveByFormulas(UP, F): PSFcat == PSFdef where
 \pagepic{ps/v104polynomialsquarefree.ps}{PSQFR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PSQFR}{squareFree} 
 
 <<package PSQFR PolynomialSquareFree>>=
 )abbrev package PSQFR PolynomialSquareFree
@@ -76015,8 +76871,7 @@ PolynomialSquareFree(VarSet:OrderedSet,E,RC:GcdDomain,P):C == T where
 \pagepic{ps/v104polynomialtounivariatepolynomial.ps}{POLY2UP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{POLY2UP}{univariate} 
 
 <<package POLY2UP PolynomialToUnivariatePolynomial>>=
 )abbrev package POLY2UP PolynomialToUnivariatePolynomial
@@ -76061,7 +76916,9 @@ PolynomialToUnivariatePolynomial(x:Symbol, R:Ring): with
 \pagepic{ps/v104powerserieslimitpackage.ps}{LIMITPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{LIMITPS}{complexLimit} &
+\cross{LIMITPS}{limit} 
 \end{tabular}
 
 <<package LIMITPS PowerSeriesLimitPackage>>=
@@ -76597,8 +77454,7 @@ PowerSeriesLimitPackage(R,FE): Exports == Implementation where
 \pagepic{ps/v104precomputedassociatedequations.ps}{PREASSOC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PREASSOC}{firstUncouplingMatrix} 
 
 <<package PREASSOC PrecomputedAssociatedEquations>>=
 )abbrev package PREASSOC PrecomputedAssociatedEquations
@@ -76709,7 +77565,10 @@ PrecomputedAssociatedEquations(R, L): Exports == Implementation where
 \pagepic{ps/v104primitivearrayfunctions2.ps}{PRIMARR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PRIMARR2}{map} &
+\cross{PRIMARR2}{reduce} &
+\cross{PRIMARR2}{scan} 
 \end{tabular}
 
 <<package PRIMARR2 PrimitiveArrayFunctions2>>=
@@ -76773,8 +77632,7 @@ PrimitiveArrayFunctions2(A, B): Exports == Implementation where
 \pagepic{ps/v104primitiveelement.ps}{PRIMELT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PRIMELT}{primitiveElement} 
 
 <<package PRIMELT PrimitiveElement>>=
 )abbrev package PRIMELT PrimitiveElement
@@ -76893,7 +77751,11 @@ PrimitiveElement(F): Exports == Implementation where
 \pagepic{ps/v104primitiveratde.ps}{ODEPRIM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{ODEPRIM}{indicialEquation} &
+\cross{ODEPRIM}{denomLODE} &
+\cross{ODEPRIM}{indicialEquations} &
+\cross{ODEPRIM}{splitDenominator} 
 \end{tabular}
 
 <<package ODEPRIM PrimitiveRatDE>>=
@@ -77085,7 +77947,13 @@ PrimitiveRatDE(F, UP, L, LQ): Exports == Implementation where
 \pagepic{ps/v104primitiveratricde.ps}{ODEPRRIC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{ODEPRRIC}{changeVar} &
+\cross{ODEPRRIC}{denomRicDE} &
+\cross{ODEPRRIC}{constantCoefficientRicDE} &
+\cross{ODEPRRIC}{leadingCoefficientRicDE} \\
+\cross{ODEPRRIC}{polyRicDE} &
+\cross{ODEPRRIC}{singRicDE} &&
 \end{tabular}
 
 <<package ODEPRRIC PrimitiveRatRicDE>>=
@@ -77357,8 +78225,7 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
 \pagepic{ps/v104printpackage.ps}{PRINT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PRINT}{print} 
 
 <<package PRINT PrintPackage>>=
 )abbrev package PRINT PrintPackage
@@ -77392,7 +78259,10 @@ PrintPackage(): with
 \pagepic{ps/v104pseudolinearnormalform.ps}{PSEUDLIN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{PSEUDLIN}{changeBase} &
+\cross{PSEUDLIN}{companionBlocks} &
+\cross{PSEUDLIN}{normalForm} 
 \end{tabular}
 
 <<package PSEUDLIN PseudoLinearNormalForm>>=
@@ -77565,7 +78435,43 @@ algebraic factorization, integration).
 \pagepic{ps/v104pseudoremaindersequence.ps}{PRS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PRS}{discriminant} &
+\cross{PRS}{Lazard} \\
+\cross{PRS}{Lazard2} &
+\cross{PRS}{chainSubResultants} \\
+\cross{PRS}{degreeSubResultant} &
+\cross{PRS}{degreeSubResultantEuclidean} \\
+\cross{PRS}{discriminantEuclidean} &
+\cross{PRS}{divide} \\
+\cross{PRS}{exquo} &
+\cross{PRS}{gcd} \\
+\cross{PRS}{indiceSubResultant} &
+\cross{PRS}{indiceSubResultantEuclidean} \\
+\cross{PRS}{lastSubResultant} &
+\cross{PRS}{lastSubResultantEuclidean} \\
+\cross{PRS}{nextsousResultant2} &
+\cross{PRS}{pseudoDivide} \\
+\cross{PRS}{resultant} &
+\cross{PRS}{resultantEuclidean} \\
+\cross{PRS}{resultantEuclideannaif} &
+\cross{PRS}{resultantnaif} \\
+\cross{PRS}{resultantReduit} &
+\cross{PRS}{resultantReduitEuclidean} \\
+\cross{PRS}{schema} &
+\cross{PRS}{semiDegreeSubResultantEuclidean} \\
+\cross{PRS}{semiDiscriminantEuclidean} &
+\cross{PRS}{semiIndiceSubResultantEuclidean} \\
+\cross{PRS}{semiLastSubResultantEuclidean} &
+\cross{PRS}{semiResultantEuclidean1} \\
+\cross{PRS}{semiResultantEuclidean2} &
+\cross{PRS}{semiResultantEuclideannaif} \\
+\cross{PRS}{semiResultantReduitEuclidean} &
+\cross{PRS}{semiSubResultantGcdEuclidean1} \\
+\cross{PRS}{semiSubResultantGcdEuclidean2} &
+\cross{PRS}{subResultantGcd} \\
+\cross{PRS}{subResultantGcdEuclidean} &
+\cross{PRS}{?*?} 
 \end{tabular}
 
 <<package PRS PseudoRemainderSequence>>=
@@ -78507,6 +79413,11 @@ PseudoRemainderSequence(R, polR) : Specification == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{INTPAF}{palgLODE} &
+\cross{INTPAF}{palgRDE} &
+\cross{INTPAF}{palgextint} &
+\cross{INTPAF}{palgint} &
+\cross{INTPAF}{palglimint} 
 \end{tabular}
 
 <<package INTPAF PureAlgebraicIntegration>>=
@@ -78905,8 +79816,7 @@ PureAlgebraicIntegration(R, F, L): Exports == Implementation where
 \pagepic{ps/v104purealgebraiclode.ps}{ODEPAL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ODEPAL}{algDsolve} 
 
 <<package ODEPAL PureAlgebraicLODE>>=
 )abbrev package ODEPAL PureAlgebraicLODE
@@ -79044,8 +79954,7 @@ PushVariables(R,E,OV,PPR):C == T where
 \pagepic{ps/v104quasialgebraicset2.ps}{QALGSET2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{QALGSET2}{radicalSimplify} 
 
 <<package QALGSET2 QuasiAlgebraicSet2>>=
 )abbrev package QALGSET2 QuasiAlgebraicSet2
@@ -79169,7 +80078,24 @@ QuasiAlgebraicSet2(vl,nv) : C == T where
 \pagepic{ps/v104quasicomponentpackage.ps}{QCMPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{QCMPACK}{algebraicSort} &
+\cross{QCMPACK}{branchIfCan} \\
+\cross{QCMPACK}{infRittWu?} &
+\cross{QCMPACK}{internalInfRittWu?} \\
+\cross{QCMPACK}{internalSubPolSet?} &
+\cross{QCMPACK}{internalSubQuasiComponent?} \\
+\cross{QCMPACK}{moreAlgebraic?} &
+\cross{QCMPACK}{prepareDecompose} \\
+\cross{QCMPACK}{removeSuperfluousCases} &
+\cross{QCMPACK}{removeSuperfluousQuasiComponents} \\
+\cross{QCMPACK}{startTable!} &
+\cross{QCMPACK}{subCase?} \\
+\cross{QCMPACK}{subPolSet?} &
+\cross{QCMPACK}{subQuasiComponent?} \\
+\cross{QCMPACK}{subQuasiComponent?} &
+\cross{QCMPACK}{subTriSet?} \\
+\cross{QCMPACK}{supDimElseRittWu?} &
 \end{tabular}
 
 <<package QCMPACK QuasiComponentPackage>>=
@@ -79559,8 +80485,7 @@ QuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 \pagepic{ps/v104quotientfieldcategoryfunctions2.ps}{QFCAT2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{QFCAT2}{map} 
 
 <<package QFCAT2 QuotientFieldCategoryFunctions2>>=
 )abbrev package QFCAT2 QuotientFieldCategoryFunctions2
@@ -79605,6 +80530,12 @@ QuotientFieldCategoryFunctions2(A, B, R, S): Exports == Impl where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{REP}{eigenMatrix} &
+\cross{REP}{gramschmidt} &
+\cross{REP}{normalise} &
+\cross{REP}{orthonormalBasis} \\
+\cross{REP}{radicalEigenvalues} &
+\cross{REP}{radicalEigenvectors} &
 \end{tabular}
 
 <<package REP RadicalEigenPackage>>=
@@ -79799,7 +80730,10 @@ RadicalEigenPackage() : C == T
 \pagepic{ps/v104radicalsolvepackage.ps}{SOLVERAD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{SOLVERAD}{contractSolve} &
+\cross{SOLVERAD}{radicalRoots} &
+\cross{SOLVERAD}{radicalSolve} 
 \end{tabular}
 
 <<package SOLVERAD RadicalSolvePackage>>=
@@ -80087,8 +81021,7 @@ RadicalSolvePackage(R): Cat == Capsule where
 \pagepic{ps/v104radixutilities.ps}{RADUTIL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RADUTIL}{radix} 
 
 <<package RADUTIL RadixUtilities>>=
 )abbrev package RADUTIL RadixUtilities
@@ -80127,7 +81060,10 @@ RadixUtilities: Exports == Implementation where
 \pagepic{ps/v104randomdistributions.ps}{RDIST}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{RDIST}{uniform} &
+\cross{RDIST}{rdHack1} &
+\cross{RDIST}{weighted} 
 \end{tabular}
 
 <<package RDIST RandomDistributions>>=
@@ -80192,6 +81128,17 @@ RandomDistributions(S: SetCategory): with
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{RFDIST}{Beta} &
+\cross{RFDIST}{chiSquare} &
+\cross{RFDIST}{chiSquare1} &
+\cross{RFDIST}{exponential} &
+\cross{RFDIST}{exponential1} \\
+\cross{RFDIST}{F} &
+\cross{RFDIST}{normal} &
+\cross{RFDIST}{t} &
+\cross{RFDIST}{normal01} &
+\cross{RFDIST}{uniform01} \\
+\cross{RFDIST}{uniform} &&&&
 \end{tabular}
 
 <<package RFDIST RandomFloatDistributions>>=
@@ -80299,6 +81246,11 @@ RandomFloatDistributions(): Cat == Body where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{RIDIST}{binomial} &
+\cross{RIDIST}{geometric} &
+\cross{RIDIST}{poisson} &
+\cross{RIDIST}{ridHack1} &
+\cross{RIDIST}{uniform} 
 \end{tabular}
 
 <<package RIDIST RandomIntegerDistributions>>=
@@ -80363,7 +81315,11 @@ RandomIntegerDistributions(): with
 \pagepic{ps/v104randomnumbersource.ps}{RANDSRC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{RANDSRC}{randnum} &
+\cross{RANDSRC}{reseed} &
+\cross{RANDSRC}{seed} &
+\cross{RANDSRC}{size} 
 \end{tabular}
 
 <<package RANDSRC RandomNumberSource>>=
@@ -80440,7 +81396,9 @@ RandomNumberSource(): with
 \pagepic{ps/v104rationalfactorize.ps}{RATFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{RATFACT}{factor} &
+\cross{RATFACT}{factorSquareFree} 
 \end{tabular}
 
 <<package RATFACT RationalFactorize>>=
@@ -80513,7 +81471,13 @@ RationalFactorize(RP) : public == private where
 \pagepic{ps/v104rationalfunction.ps}{RF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{RF}{coerce} &
+\cross{RF}{eval} &
+\cross{RF}{mainVariable} &
+\cross{RF}{multivariate} &
+\cross{RF}{univariate} &
+\cross{RF}{variables} 
 \end{tabular}
 
 <<package RF RationalFunction>>=
@@ -80602,8 +81566,7 @@ RationalFunction(R:IntegralDomain): Exports == Implementation where
 \pagepic{ps/v104rationalfunctiondefiniteintegration.ps}{DEFINTRF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DEFINTRF}{integrate} 
 
 <<package DEFINTRF RationalFunctionDefiniteIntegration>>=
 )abbrev package DEFINTRF RationalFunctionDefiniteIntegration
@@ -80709,8 +81672,7 @@ RationalFunctionDefiniteIntegration(R): Exports == Implementation where
 \pagepic{ps/v104rationalfunctionfactor.ps}{RFFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RFFACT}{factor} 
 
 <<package RFFACT RationalFunctionFactor>>=
 )abbrev package RFFACT RationalFunctionFactor
@@ -80762,8 +81724,7 @@ RationalFunctionFactor(UP): Exports == Implementation where
 \pagepic{ps/v104rationalfunctionfactorizer.ps}{RFFACTOR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RFFACTOR}{factor} 
 
 <<package RFFACTOR RationalFunctionFactorizer>>=
 )abbrev package RFFACTOR RationalFunctionFactorizer
@@ -80823,7 +81784,11 @@ RationalFunctionFactorizer(R) : C == T
 \pagepic{ps/v104rationalfunctionintegration.ps}{INTRF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INTRF}{extendedIntegrate} &
+\cross{INTRF}{infieldIntegrate} &
+\cross{INTRF}{internalIntegrate} &
+\cross{INTRF}{limitedIntegrate} 
 \end{tabular}
 
 <<package INTRF RationalFunctionIntegration>>=
@@ -80900,7 +81865,9 @@ RationalFunctionIntegration(F): Exports == Implementation where
 \pagepic{ps/v104rationalfunctionlimitpackage.ps}{LIMITRF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{LIMITRF}{complexLimit} &
+\cross{LIMITRF}{limit} 
 \end{tabular}
 
 <<package LIMITRF RationalFunctionLimitPackage>>=
@@ -81063,8 +82030,7 @@ RationalFunctionLimitPackage(R:GcdDomain):Exports==Implementation where
 \pagepic{ps/v104rationalfunctionsign.ps}{SIGNRF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SIGNRF}{sign} 
 
 <<package SIGNRF RationalFunctionSign>>=
 )abbrev package SIGNRF RationalFunctionSign
@@ -81167,8 +82133,7 @@ RationalFunctionSign(R:GcdDomain): Exports == Implementation where
 \pagepic{ps/v104rationalfunctionsum.ps}{SUMRF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SUMRF}{sum} 
 
 <<package SUMRF RationalFunctionSum>>=
 )abbrev package SUMRF RationalFunctionSum
@@ -81245,7 +82210,11 @@ RationalFunctionSum(R): Exports == Impl where
 \pagepic{ps/v104rationalintegration.ps}{INTRAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{INTRAT}{extendedint} &
+\cross{INTRAT}{infieldint} &
+\cross{INTRAT}{integrate} &
+\cross{INTRAT}{limitedint} 
 \end{tabular}
 
 <<package INTRAT RationalIntegration>>=
@@ -81338,8 +82307,7 @@ where the coefficients of the rational function are in any given field.
 \pagepic{ps/v104rationalinterpolation.ps}{RINTERP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RINTERP}{interpolate} 
 
 <<package RINTERP RationalInterpolation>>=
 )abbrev package RINTERP RationalInterpolation
@@ -81458,7 +82426,9 @@ Finally, we generate the rational function:
 \pagepic{ps/v104rationallode.ps}{ODERAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{ODERAT}{indicialEquationAtInfinity} &
+\cross{ODERAT}{ratDsolve} 
 \end{tabular}
 
 <<package ODERAT RationalLODE>>=
@@ -81700,7 +82670,10 @@ RationalLODE(F, UP): Exports == Implementation where
 \pagepic{ps/v104rationalretractions.ps}{RATRET}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{RATRET}{rational} &
+\cross{RATRET}{rational?} &
+\cross{RATRET}{rationalIfCan} 
 \end{tabular}
 
 <<package RATRET RationalRetractions>>=
@@ -81739,7 +82712,10 @@ RationalRetractions(S:RetractableTo(Fraction Integer)): with
 \pagepic{ps/v104rationalricde.ps}{ODERTRIC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ODERTRIC}{polyRicDE} &
+\cross{ODERTRIC}{ricDsolve} &
+\cross{ODERTRIC}{singRicDE} 
 \end{tabular}
 
 <<package ODERTRIC RationalRicDE>>=
@@ -82037,8 +83013,7 @@ RationalRicDE(F, UP): Exports == Implementation where
 \pagepic{ps/v104rationalunivariaterepresentationpackage.ps}{RURPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RURPK}{rur} 
 
 <<package RURPK RationalUnivariateRepresentationPackage>>=
 )abbrev package RURPK RationalUnivariateRepresentationPackage
@@ -82228,7 +83203,12 @@ depending on several ``real roots''.
 \pagepic{ps/v104realpolynomialutilitiespackage.ps}{POLUTIL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{POLUTIL}{boundOfCauchy} &
+\cross{POLUTIL}{lazyVariations} &
+\cross{POLUTIL}{sturmSequence} &
+\cross{POLUTIL}{sturmVariationsOf} \\
+\cross{POLUTIL}{sylvesterSequence} &&&
 \end{tabular}
 
 <<package POLUTIL RealPolynomialUtilitiesPackage>>=
@@ -82507,7 +83487,9 @@ o )show RealSolvePackage
 \pagepic{ps/v104realsolvepackage.ps}{REALSOLV}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{REALSOLV}{realSolve} &
+\cross{REALSOLV}{solve} 
 \end{tabular}
 
 <<package REALSOLV RealSolvePackage>>=
@@ -82573,7 +83555,11 @@ RealSolvePackage(): _
 \pagepic{ps/v104realzeropackage.ps}{REAL0}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{REAL0}{midpoint} &
+\cross{REAL0}{midpoints} &
+\cross{REAL0}{realZeros} &
+\cross{REAL0}{refine} 
 \end{tabular}
 
 <<package REAL0 RealZeroPackage>>=
@@ -82880,7 +83866,9 @@ RealZeroPackage(Pol): T == C where
 \pagepic{ps/v104realzeropackageq.ps}{REAL0Q}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{REAL0Q}{realZeros} &
+\cross{REAL0Q}{refine} 
 \end{tabular}
 
 <<package REAL0Q RealZeroPackageQ>>=
@@ -82969,7 +83957,9 @@ RealZeroPackageQ(Pol): T == C where
 \pagepic{ps/v104rectangularmatrixcategoryfunctions2.ps}{RMCAT2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{RMCAT2}{map} &
+\cross{RMCAT2}{reduce} 
 \end{tabular}
 
 <<package RMCAT2 RectangularMatrixCategoryFunctions2>>=
@@ -83046,7 +84036,14 @@ coefficient of $x^n$ in a function specified by a functional equation.
 \pagepic{ps/v104recurrenceoperator.ps}{RECOP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{RECOP}{getEq} &
+\cross{RECOP}{getOp} &
+\cross{RECOP}{evalADE} &
+\cross{RECOP}{evalRec} \\
+\cross{RECOP}{getShiftRec} &
+\cross{RECOP}{numberOfValuesNeeded} &
+\cross{RECOP}{shiftInfoRec} &
 \end{tabular}
 
 <<package RECOP RecurrenceOperator>>=
@@ -83544,8 +84541,7 @@ solution and determine the valuation.
 \pagepic{ps/v104reduceddivisor.ps}{RDIV}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RDIV}{order} 
 
 <<package RDIV ReducedDivisor>>=
 )abbrev package RDIV ReducedDivisor
@@ -83608,8 +84604,7 @@ ReducedDivisor(F1, UP, UPUP, R, F2): Exports == Implementation where
 \pagepic{ps/v104reducelode.ps}{ODERED}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ODERED}{reduceLODE} 
 
 <<package ODERED ReduceLODE>>=
 )abbrev package ODERED ReduceLODE
@@ -83679,8 +84674,7 @@ ReduceLODE(F, L, UP, A, LO): Exports == Implementation where
 \pagepic{ps/v104reductionoforder.ps}{REDORDER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{REDORDER}{ReduceOrder} 
 
 <<package REDORDER ReductionOfOrder>>=
 )abbrev package REDORDER ReductionOfOrder
@@ -83760,7 +84754,16 @@ ReductionOfOrder(F, L): Exports == Impl where
 \pagepic{ps/v104regularsetdecompositionpackage.ps}{RSDCMPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{RSDCMPK}{KrullNumber} &
+\cross{RSDCMPK}{algebraicDecompose} &
+\cross{RSDCMPK}{convert} &
+\cross{RSDCMPK}{decompose} \\
+\cross{RSDCMPK}{internalDecompose} &
+\cross{RSDCMPK}{numberOfVariables} &
+\cross{RSDCMPK}{printInfo} &
+\cross{RSDCMPK}{transcendentalDecompose} \\
+\cross{RSDCMPK}{upDateBranches} &&
 \end{tabular}
 
 <<package RSDCMPK RegularSetDecompositionPackage>>=
@@ -84053,7 +85056,17 @@ RegularSetDecompositionPackage(R,E,V,P,TS): Exports == Implementation where
 \pagepic{ps/v104regulartriangularsetgcdpackage.ps}{RSETGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{RSETGCD}{stopTableGcd!} &
+\cross{RSETGCD}{stopTableInvSet!} &
+\cross{RSETGCD}{integralLastSubResultant} \\
+\cross{RSETGCD}{prepareSubResAlgo} &
+\cross{RSETGCD}{startTableGcd!} &
+\cross{RSETGCD}{startTableInvSet!} \\
+\cross{RSETGCD}{toseInvertible?} &
+\cross{RSETGCD}{toseInvertibleSet} &
+\cross{RSETGCD}{toseLastSubResultant} \\
+\cross{RSETGCD}{toseSquareFreePart} &&
 \end{tabular}
 
 <<package RSETGCD RegularTriangularSetGcdPackage>>=
@@ -84424,8 +85437,7 @@ RegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation where
 \pagepic{ps/v104repeateddoubling.ps}{REPDB}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{REPDB}{double} 
 
 <<package REPDB RepeatedDoubling>>=
 )abbrev package REPDB RepeatedDoubling
@@ -84473,8 +85485,7 @@ RepeatedDoubling(S):Exports ==Implementation where
 \pagepic{ps/v104repeatedsquaring.ps}{REPSQ}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{REPSQ}{expt} 
 
 <<package REPSQ RepeatedSquaring>>=
 )abbrev package REPSQ RepeatedSquaring
@@ -84519,7 +85530,12 @@ RepeatedSquaring(S): Exports == Implementation where
 \pagepic{ps/v104representationpackage1.ps}{REP1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{REP1}{antisymmetricTensors} &
+\cross{REP1}{createGenericMatrix} &
+\cross{REP1}{permutationRepresentation} \\
+\cross{REP1}{symmetricTensors} &
+\cross{REP1}{tensorProduct} &
 \end{tabular}
 
 <<package REP1 RepresentationPackage1>>=
@@ -84859,7 +85875,16 @@ RepresentationPackage1(R): public == private where
 \pagepic{ps/v104representationpackage2.ps}{REP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{REP2}{areEquivalent?} &
+\cross{REP2}{completeEchelonBasis} \\
+\cross{REP2}{createRandomElement} &
+\cross{REP2}{cyclicSubmodule} \\
+\cross{REP2}{isAbsolutelyIrreducible?} &
+\cross{REP2}{meatAxe} \\
+\cross{REP2}{scanOneDimSubspaces} &
+\cross{REP2}{split} \\
+\cross{REP2}{standardBasisOfCyclicSubmodule} &
 \end{tabular}
 
 <<package REP2 RepresentationPackage2>>=
@@ -85646,8 +86671,7 @@ RepresentationPackage2(R): public == private where
 \pagepic{ps/v104resolvelatticecompletion.ps}{RESLATC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RESLATC}{coerce} 
 
 <<package RESLATC ResolveLatticeCompletion>>=
 )abbrev package RESLATC ResolveLatticeCompletion
@@ -85694,8 +86718,7 @@ ResolveLatticeCompletion(S: Type): with
 \pagepic{ps/v104retractsolvepackage.ps}{RETSOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RETSOL}{solveRetract} 
 
 <<package RETSOL RetractSolvePackage>>=
 )abbrev package RETSOL RetractSolvePackage
@@ -85776,8 +86799,7 @@ RetractSolvePackage(Q, R): Exports == Implementation where
 \pagepic{ps/v104saerationalfunctionalgfactor.ps}{SAERFFC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SAERFFC}{factor} 
 
 <<package SAERFFC SAERationalFunctionAlgFactor>>=
 )abbrev package SAERFFC SAERationalFunctionAlgFactor
@@ -85818,8 +86840,7 @@ SAERationalFunctionAlgFactor(UP, SAE, UPA): Exports == Implementation where
 \pagepic{ps/v104scriptformulaformat1.ps}{FORMULA1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FORMULA1}{coerce} 
 
 <<package FORMULA1 ScriptFormulaFormat1>>=
 )abbrev package FORMULA1 ScriptFormulaFormat1
@@ -85869,8 +86890,7 @@ ScriptFormulaFormat1(S : SetCategory): public == private where
 \pagepic{ps/v104segmentbindingfunctions2.ps}{SEGBIND2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SEGBIND2}{map} 
 
 <<package SEGBIND2 SegmentBindingFunctions2>>=
 )abbrev package SEGBIND2 SegmentBindingFunctions2
@@ -85907,8 +86927,7 @@ SegmentBindingFunctions2(R:Type, S:Type): with
 \pagepic{ps/v104segmentfunctions2.ps}{SEG2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SEG2}{map} 
 
 <<package SEG2 SegmentFunctions2>>=
 )abbrev package SEG2 SegmentFunctions2
@@ -85971,8 +86990,7 @@ SegmentFunctions2(R:Type, S:Type): public == private where
 \pagepic{ps/v104simplealgebraicextensionalgfactor.ps}{SAEFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SAEFACT}{factor} 
 
 <<package SAEFACT SimpleAlgebraicExtensionAlgFactor>>=
 )abbrev package SAEFACT SimpleAlgebraicExtensionAlgFactor
@@ -86013,8 +87031,7 @@ SimpleAlgebraicExtensionAlgFactor(UP,SAE,UPA):Exports==Implementation where
 \pagepic{ps/v104simplifyalgebraicnumberconvertpackage.ps}{SIMPAN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SIMPAN}{simplify} 
 
 <<package SIMPAN SimplifyAlgebraicNumberConvertPackage>>=
 )abbrev package SIMPAN SimplifyAlgebraicNumberConvertPackage
@@ -86041,6 +87058,11 @@ SimplifyAlgebraicNumberConvertPackage(): with
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{SMITH}{completeHermite} &
+\cross{SMITH}{completeSmith} &
+\cross{SMITH}{diophantineSystem} &
+\cross{SMITH}{hermite} &
+\cross{SMITH}{smith} 
 \end{tabular}
 
 <<package SMITH SmithNormalForm>>=
@@ -86284,7 +87306,10 @@ SmithNormalForm(R,Row,Col,M) : Exports == Implementation where
 \pagepic{ps/v104sortedcache.ps}{SCACHE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{SCACHE}{cache} &
+\cross{SCACHE}{clearCache} &
+\cross{SCACHE}{enterInCache} 
 \end{tabular}
 
 <<package SCACHE SortedCache>>=
@@ -86378,7 +87403,9 @@ SortedCache(S:CachableSet): Exports == Implementation where
 \pagepic{ps/v104sortpackage.ps}{SORTPAK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SORTPAK}{bubbleSort!} &
+\cross{SORTPAK}{insertionSort!} 
 \end{tabular}
 
 <<package SORTPAK SortPackage>>=
@@ -86447,8 +87474,7 @@ SortPackage(S,A) : Exports == Implementation where
 \pagepic{ps/v104sparseunivariatepolynomialfunctions2.ps}{SUP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SUP2}{map} 
 
 <<package SUP2 SparseUnivariatePolynomialFunctions2>>=
 )abbrev package SUP2 SparseUnivariatePolynomialFunctions2
@@ -86492,7 +87518,10 @@ SparseUnivariatePolynomialFunctions2(R:Ring, S:Ring): with
 \pagepic{ps/v104specialoutputpackage.ps}{SPECOUT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{SPECOUT}{outputAsTex} &
+\cross{SPECOUT}{outputAsFortran} &
+\cross{SPECOUT}{outputAsScript} 
 \end{tabular}
 
 <<package SPECOUT SpecialOutputPackage>>=
@@ -86586,7 +87615,24 @@ SpecialOutputPackage: public == private where
 \pagepic{ps/v104squarefreequasicomponentpackage.ps}{SFQCMPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SFQCMPK}{algebraicSort} &
+\cross{SFQCMPK}{branchIfCan} \\
+\cross{SFQCMPK}{infRittWu?} &
+\cross{SFQCMPK}{internalInfRittWu?} \\
+\cross{SFQCMPK}{internalSubPolSet?} &
+\cross{SFQCMPK}{internalSubQuasiComponent?} \\
+\cross{SFQCMPK}{moreAlgebraic?} &
+\cross{SFQCMPK}{prepareDecompose} \\
+\cross{SFQCMPK}{removeSuperfluousCases} &
+\cross{SFQCMPK}{removeSuperfluousQuasiComponents} \\
+\cross{SFQCMPK}{startTable!} &
+\cross{SFQCMPK}{stopTable!} \\
+\cross{SFQCMPK}{subCase?} &
+\cross{SFQCMPK}{subPolSet?} \\
+\cross{SFQCMPK}{subQuasiComponent?} &
+\cross{SFQCMPK}{subTriSet?} \\
+\cross{SFQCMPK}{supDimElseRittWu?} &
 \end{tabular}
 
 <<SFQCMPK.dotabb>>=
@@ -86997,7 +88043,16 @@ SquareFreeQuasiComponentPackage(R,E,V,P,TS): Exports == Implementation where
 \pagepic{ps/v104squarefreeregularsetdecompositionpackage.ps}{SRDCMPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{SRDCMPK}{algebraicDecompose} &
+\cross{SRDCMPK}{convert} &
+\cross{SRDCMPK}{decompose} \\
+\cross{SRDCMPK}{internalDecompose} &
+\cross{SRDCMPK}{KrullNumber} &
+\cross{SRDCMPK}{numberOfVariables} \\
+\cross{SRDCMPK}{printInfo} &
+\cross{SRDCMPK}{transcendentalDecompose} &
+\cross{SRDCMPK}{upDateBranches} 
 \end{tabular}
 
 <<package SRDCMPK SquareFreeRegularSetDecompositionPackage>>=
@@ -87288,7 +88343,22 @@ SquareFreeRegularSetDecompositionPackage(R,E,V,P,TS): Exports == Implementation
 \pagepic{ps/v104squarefreeregulartriangularsetgcdpackage.ps}{SFRGCD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SFRGCD}{stopTableGcd!} &
+\cross{SFRGCD}{stopTableInvSet!} \\
+\cross{SFRGCD}{startTableGcd!} &
+\cross{SFRGCD}{startTableInvSet!} \\
+\cross{SFRGCD}{stoseIntegralLastSubResultant} &
+\cross{SFRGCD}{stoseInternalLastSubResultant} \\
+\cross{SFRGCD}{stoseInvertible?} &
+\cross{SFRGCD}{stoseInvertible?reg} \\
+\cross{SFRGCD}{stoseInvertible?sqfreg} &
+\cross{SFRGCD}{stoseInvertibleSet} \\
+\cross{SFRGCD}{stoseInvertibleSetreg} &
+\cross{SFRGCD}{stoseInvertibleSetsqfreg} \\
+\cross{SFRGCD}{stoseLastSubResultant} &
+\cross{SFRGCD}{stosePrepareSubResAlgo} \\
+\cross{SFRGCD}{stoseSquareFreePart} &
 \end{tabular}
 
 <<package SFRGCD SquareFreeRegularTriangularSetGcdPackage>>=
@@ -87748,6 +88818,14 @@ SquareFreeRegularTriangularSetGcdPackage(R,E,V,P,TS): Exports == Implementation
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{MATSTOR}{copy!} &
+\cross{MATSTOR}{leftScalarTimes!} &
+\cross{MATSTOR}{minus!} &
+\cross{MATSTOR}{plus!} &
+\cross{MATSTOR}{power!} \\
+\cross{MATSTOR}{rightScalarTimes!} &
+\cross{MATSTOR}{times!} &
+\cross{MATSTOR}{?**?} &&
 \end{tabular}
 
 <<package MATSTOR StorageEfficientMatrixOperations>>=
@@ -87953,8 +89031,7 @@ StorageEfficientMatrixOperations(R): Exports == Implementation where
 \pagepic{ps/v104streamfunctions1.ps}{STREAM1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{STREAM1}{concat} 
 
 <<package STREAM1 StreamFunctions1>>=
 )abbrev package STREAM1 StreamFunctions1
@@ -87996,7 +89073,10 @@ StreamFunctions1(S:Type): Exports == Implementation where
 \pagepic{ps/v104streamfunctions2.ps}{STREAM2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{STREAM2}{map} &
+\cross{STREAM2}{reduce} &
+\cross{STREAM2}{scan} 
 \end{tabular}
 
 <<package STREAM2 StreamFunctions2>>=
@@ -88084,8 +89164,7 @@ StreamFunctions2(A:Type,B:Type): Exports == Implementation where
 \pagepic{ps/v104streamfunctions3.ps}{STREAM3}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{STREAM3}{map} 
 
 <<package STREAM3 StreamFunctions3>>=
 )abbrev package STREAM3 StreamFunctions3
@@ -88139,7 +89218,11 @@ StreamFunctions3(A,B,C): Exports == Implementation where
 \pagepic{ps/v104streaminfiniteproduct.ps}{STINPROD}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{STINPROD}{evenInfiniteProduct} &
+\cross{STINPROD}{generalInfiniteProduct} \\
+\cross{STINPROD}{infiniteProduct} &
+\cross{STINPROD}{oddInfiniteProduct} 
 \end{tabular}
 
 <<package STINPROD StreamInfiniteProduct>>=
@@ -88231,6 +89314,40 @@ just take the definition there.
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{STTAYLOR}{addiag} &
+\cross{STTAYLOR}{coerce} &
+\cross{STTAYLOR}{compose} &
+\cross{STTAYLOR}{deriv} &
+\cross{STTAYLOR}{eval} \\
+\cross{STTAYLOR}{evenlambert} &
+\cross{STTAYLOR}{exquo} &
+\cross{STTAYLOR}{gderiv} &
+\cross{STTAYLOR}{generalLambert} &
+\cross{STTAYLOR}{int} \\
+\cross{STTAYLOR}{integers} &
+\cross{STTAYLOR}{integrate} &
+\cross{STTAYLOR}{invmultisect} &
+\cross{STTAYLOR}{lagrange} &
+\cross{STTAYLOR}{lambert} \\
+\cross{STTAYLOR}{lazyGintegrate} &
+\cross{STTAYLOR}{lazyIntegrate} &
+\cross{STTAYLOR}{mapdiv} &
+\cross{STTAYLOR}{mapmult} &
+\cross{STTAYLOR}{monom} \\
+\cross{STTAYLOR}{multisect} &
+\cross{STTAYLOR}{nlde} &
+\cross{STTAYLOR}{oddintegers} &
+\cross{STTAYLOR}{oddlambert} &
+\cross{STTAYLOR}{power} \\
+\cross{STTAYLOR}{powern} &
+\cross{STTAYLOR}{recip} &
+\cross{STTAYLOR}{revert} &
+\cross{STTAYLOR}{?*?} &
+\cross{STTAYLOR}{?+?} \\
+\cross{STTAYLOR}{?-?} &
+\cross{STTAYLOR}{?/?} &
+\cross{STTAYLOR}{?*?} &
+\cross{STTAYLOR}{-?} &
 \end{tabular}
 
 <<package STTAYLOR StreamTaylorSeriesOperations>>=
@@ -88698,6 +89815,22 @@ StreamTaylorSeriesOperations(A): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{STTF}{acos} &
+\cross{STTF}{acot} &
+\cross{STTF}{acsc} &
+\cross{STTF}{asec} &
+\cross{STTF}{asin} \\
+\cross{STTF}{atan} &
+\cross{STTF}{cos} &
+\cross{STTF}{cot} &
+\cross{STTF}{csc} &
+\cross{STTF}{exp} \\
+\cross{STTF}{sec} &
+\cross{STTF}{sin} &
+\cross{STTF}{tan} &
+\cross{STTF}{sincos} &
+\cross{STTF}{sinhcosh} \\
+\cross{STTF}{?**?} &&&&
 \end{tabular}
 
 <<package STTF StreamTranscendentalFunctions>>=
@@ -89162,6 +90295,20 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{STTFNC}{acos} &
+\cross{STTFNC}{acot} &
+\cross{STTFNC}{acsc} &
+\cross{STTFNC}{asec} &
+\cross{STTFNC}{asin} \\
+\cross{STTFNC}{atan} &
+\cross{STTFNC}{cos} &
+\cross{STTFNC}{cot} &
+\cross{STTFNC}{csc} &
+\cross{STTFNC}{exp} \\
+\cross{STTFNC}{sec} &
+\cross{STTFNC}{sin} &
+\cross{STTFNC}{tan} &
+\cross{STTFNC}{?**?} &
 \end{tabular}
 
 <<package STTFNC StreamTranscendentalFunctionsNonCommutative>>=
@@ -89413,7 +90560,9 @@ StreamTranscendentalFunctionsNonCommutative(Coef): _
 \pagepic{ps/v104structuralconstantspackage.ps}{SCPKG}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SCPKG}{coordinates} &
+\cross{SCPKG}{structuralConstants} 
 \end{tabular}
 
 <<package SCPKG StructuralConstantsPackage>>=
@@ -89565,7 +90714,14 @@ must be linear polynomials in the generators"
 \pagepic{ps/v104sturmhabichtpackage.ps}{SHP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SHP}{SturmHabicht} &
+\cross{SHP}{SturmHabichtCoefficients} \\
+\cross{SHP}{SturmHabichtMultiple} &
+\cross{SHP}{SturmHabichtSequence} \\
+\cross{SHP}{countRealRoots} &
+\cross{SHP}{countRealRootsMultiple} \\
+\cross{SHP}{subresultantSequence} &
 \end{tabular}
 
 <<package SHP SturmHabichtPackage>>=
@@ -89946,7 +91102,9 @@ SturmHabichtPackage(R,x): T == C where
 \pagepic{ps/v104subresultantpackage.ps}{SUBRESP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SUBRESP}{primitivePart} &
+\cross{SUBRESP}{subresultantVector} 
 \end{tabular}
 
 <<package SUBRESP SubResultantPackage>>=
@@ -90092,7 +91250,9 @@ SubResultantPackage(R, UP): Exports == Implementation where
 \pagepic{ps/v104supfractionfactorizer.ps}{SUPFRACF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SUPFRACF}{factor} &
+\cross{SUPFRACF}{squareFree} 
 \end{tabular}
 
 <<package SUPFRACF SupFractionFactorizer>>=
@@ -90173,7 +91333,10 @@ SupFractionFactorizer(E,OV,R,P) : C == T
 \pagepic{ps/v104systemodesolver.ps}{ODESYS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ODESYS}{solve} &
+\cross{ODESYS}{solveInField} &
+\cross{ODESYS}{triangulate} 
 \end{tabular}
 
 <<package ODESYS SystemODESolver>>=
@@ -90421,7 +91584,9 @@ SystemODESolver(F, LO): Exports == Implementation where
 \pagepic{ps/v104systemsolvepackage.ps}{SYSSOLP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SYSSOLP}{solve} &
+\cross{SYSSOLP}{triangularSystems} 
 \end{tabular}
 
 <<package SYSSOLP SystemSolvePackage>>=
@@ -90678,7 +91843,18 @@ SystemSolvePackage(R): Cat == Cap where
 \pagepic{ps/v104symmetricgroupcombinatoricfunctions.ps}{SGCF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SGCF}{coleman} &
+\cross{SGCF}{inverseColeman} \\
+\cross{SGCF}{listYoungTableaus} &
+\cross{SGCF}{makeYoungTableau} \\
+\cross{SGCF}{nextColeman} &
+\cross{SGCF}{nextLatticePermutation} \\
+\cross{SGCF}{nextPartition} &
+\cross{SGCF}{numberOfImproperPartitions} \\
+\cross{SGCF}{subSet} &
+\cross{SGCF}{unrankImproperPartitions0} \\
+\cross{SGCF}{unrankImproperPartitions1} &
 \end{tabular}
 
 <<package SGCF SymmetricGroupCombinatoricFunctions>>=
@@ -91164,8 +92340,7 @@ SymmetricGroupCombinatoricFunctions(): public == private where
 \pagepic{ps/v104symmetricfunctions.ps}{SYMFUNC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SYMFUNC}{symFunc} 
 
 <<package SYMFUNC SymmetricFunctions>>=
 )abbrev package SYMFUNC SymmetricFunctions
@@ -91216,6 +92391,19 @@ SymmetricFunctions(R:Ring): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{TABLBUMP}{bat} &
+\cross{TABLBUMP}{bat1} &
+\cross{TABLBUMP}{bumprow} &
+\cross{TABLBUMP}{bumptab} &
+\cross{TABLBUMP}{bumptab1} \\
+\cross{TABLBUMP}{inverse} &
+\cross{TABLBUMP}{lex} &
+\cross{TABLBUMP}{maxrow} &
+\cross{TABLBUMP}{mr} &
+\cross{TABLBUMP}{slex} \\
+\cross{TABLBUMP}{tab} &
+\cross{TABLBUMP}{tab1} &
+\cross{TABLBUMP}{untab} &&
 \end{tabular}
 
 <<package TABLBUMP TableauxBumpers>>=
@@ -91358,6 +92546,16 @@ TableauxBumpers(S:OrderedSet):T==C where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{TBCMPPK}{clearTable!} &
+\cross{TBCMPPK}{extractIfCan} &
+\cross{TBCMPPK}{initTable!} &
+\cross{TBCMPPK}{insert!} &
+\cross{TBCMPPK}{makingStats?} \\
+\cross{TBCMPPK}{printInfo!} &
+\cross{TBCMPPK}{printStats!} &
+\cross{TBCMPPK}{printingInfo?} &
+\cross{TBCMPPK}{startStats!} &
+\cross{TBCMPPK}{usingTable?} 
 \end{tabular}
 
 <<package TBCMPPK TabulatedComputationPackage>>=
@@ -91497,7 +92695,10 @@ TabulatedComputationPackage(Key ,Entry): Exports == Implementation where
 \pagepic{ps/v104tangentexpansions.ps}{TANEXP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{TANEXP}{tanAn} &
+\cross{TANEXP}{tanNa} &
+\cross{TANEXP}{tanSum} 
 \end{tabular}
 
 <<package TANEXP TangentExpansions>>=
@@ -91592,8 +92793,7 @@ It uses the method of undetermined coefficients.
 \pagepic{ps/v104taylorsolve.ps}{UTSSOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UTSSOL}{seriesSolve} 
 
 <<package UTSSOL TaylorSolveTaylorSolve>>=
 )abb package UTSSOL TaylorSolve
@@ -91725,7 +92925,9 @@ should be unique.
 \pagepic{ps/v104templateutilities.ps}{TEMUTL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{TEMUTL}{interpretString} &
+\cross{TEMUTL}{stripCommentsAndBlanks} 
 \end{tabular}
 
 <<package TEMUTL TemplateUtilities>>=
@@ -91782,8 +92984,7 @@ TemplateUtilities(): Exports == Implementation where
 \pagepic{ps/v104texformat1.ps}{TEX1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{TEX1}{coerce} 
 
 <<package TEX1 TexFormat1>>=
 )abbrev package TEX1 TexFormat1
@@ -91831,7 +93032,10 @@ TexFormat1(S : SetCategory): public == private where
 \pagepic{ps/v104toolsforsign.ps}{TOOLSIGN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{TOOLSIGN}{direction} &
+\cross{TOOLSIGN}{nonQsign} &
+\cross{TOOLSIGN}{sign} 
 \end{tabular}
 
 <<package TOOLSIGN ToolsForSign>>=
@@ -91896,7 +93100,9 @@ ToolsForSign(R:Ring): with
 \pagepic{ps/v104topleveldrawfunctions.ps}{DRAW}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{DRAW}{draw} &
+\cross{DRAW}{makeObject} 
 \end{tabular}
 
 <<package DRAW TopLevelDrawFunctions>>=
@@ -92237,8 +93443,7 @@ TopLevelDrawFunctions(Ex:Join(ConvertibleTo InputForm,SetCategory)):
 \pagepic{ps/v104topleveldrawfunctionsforalgebraiccurves.ps}{DRAWCURV}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DRAWCURV}{draw} 
 
 <<package DRAWCURV TopLevelDrawFunctionsForAlgebraicCurves>>=
 )abbrev package DRAWCURV TopLevelDrawFunctionsForAlgebraicCurves
@@ -92374,7 +93579,10 @@ TopLevelDrawFunctionsForAlgebraicCurves(R,Ex): Exports == Implementation where
 \pagepic{ps/v104topleveldrawfunctionsforcompiledfunctions.ps}{DRAWCFUN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{DRAWCFUN}{draw} &
+\cross{DRAWCFUN}{makeObject} &
+\cross{DRAWCFUN}{recolor} 
 \end{tabular}
 
 <<package DRAWCFUN TopLevelDrawFunctionsForCompiledFunctions>>=
@@ -93026,8 +94234,7 @@ SingleFloat value.
 \pagepic{ps/v104topleveldrawfunctionsforpoints.ps}{DRAWPT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DRAWPT}{draw} 
 
 <<package DRAWPT TopLevelDrawFunctionsForPoints>>=
 )abbrev package DRAWPT TopLevelDrawFunctionsForPoints
@@ -93127,8 +94334,7 @@ TopLevelDrawFunctionsForPoints(): Exports == Implementation where
 \pagepic{ps/v104toplevelthreespace.ps}{TOPSP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{TOPSP}{createThreeSpace} 
 
 <<package TOPSP TopLevelThreeSpace>>=
 )abbrev package TOPSP TopLevelThreeSpace
@@ -93156,8 +94362,7 @@ TopLevelThreeSpace(): with
 \pagepic{ps/v104transcendentalhermiteintegration.ps}{INTHERTR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INTHERTR}{HermiteIntegrate} 
 
 <<package INTHERTR TranscendentalHermiteIntegration>>=
 )abbrev package INTHERTR TranscendentalHermiteIntegration
@@ -93233,7 +94438,20 @@ TranscendentalHermiteIntegration(F, UP): Exports == Implementation where
 \pagepic{ps/v104transcendentalintegration.ps}{INTTR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{INTTR}{expextendedint} &
+\cross{INTTR}{expintegrate} \\
+\cross{INTTR}{expintfldpoly} &
+\cross{INTTR}{explimitedint} \\
+\cross{INTTR}{monomialIntPoly} &
+\cross{INTTR}{monomialIntegrate} \\
+\cross{INTTR}{primextendedint} &
+\cross{INTTR}{primextintfrac} \\
+\cross{INTTR}{primintegrate} &
+\cross{INTTR}{primintfldpoly} \\
+\cross{INTTR}{primlimintfrac} &
+\cross{INTTR}{primlimitedint} \\
+\cross{INTTR}{tanintegrate} &
 \end{tabular}
 
 <<package INTTR TranscendentalIntegration>>=
@@ -93699,6 +94917,34 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{TRMANIP}{cos2sec} &
+\cross{TRMANIP}{cosh2sech} &
+\cross{TRMANIP}{cot2tan} \\
+\cross{TRMANIP}{cot2trig} &
+\cross{TRMANIP}{coth2tanh} &
+\cross{TRMANIP}{coth2trigh} \\
+\cross{TRMANIP}{csc2sin} &
+\cross{TRMANIP}{csch2sinh} &
+\cross{TRMANIP}{expand} \\
+\cross{TRMANIP}{expandLog} &
+\cross{TRMANIP}{expandPower} &
+\cross{TRMANIP}{htrigs} \\
+\cross{TRMANIP}{removeCosSq} &
+\cross{TRMANIP}{removeCoshSq} &
+\cross{TRMANIP}{removeSinSq} \\
+\cross{TRMANIP}{removeSinhSq} &
+\cross{TRMANIP}{sec2cos} &
+\cross{TRMANIP}{sech2cosh} \\
+\cross{TRMANIP}{simplify} &
+\cross{TRMANIP}{simplifyExp} &
+\cross{TRMANIP}{simplifyLog} \\
+\cross{TRMANIP}{sin2csc} &
+\cross{TRMANIP}{sinh2csch} &
+\cross{TRMANIP}{tan2cot} \\
+\cross{TRMANIP}{tan2trig} &
+\cross{TRMANIP}{tanh2coth} &
+\cross{TRMANIP}{tanh2trigh} \\
+\cross{TRMANIP}{expandTrigProducts} &&
 \end{tabular}
 
 <<package TRMANIP TranscendentalManipulations>>=
@@ -94129,7 +95375,10 @@ TranscendentalManipulations(R, F): Exports == Implementation where
 \pagepic{ps/v104transcendentalrischde.ps}{RDETR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{RDETR}{baseRDE} &
+\cross{RDETR}{monomRDE} &
+\cross{RDETR}{polyRDE} 
 \end{tabular}
 
 <<package RDETR TranscendentalRischDE>>=
@@ -94310,7 +95559,9 @@ TranscendentalRischDE(F, UP): Exports == Implementation where
 \pagepic{ps/v104transcendentalrischdesystem.ps}{RDETRS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{RDETRS}{baseRDEsys} &
+\cross{RDETRS}{monomRDEsys} 
 \end{tabular}
 
 <<package RDETRS TranscendentalRischDESystem>>=
@@ -94538,8 +95789,7 @@ TranscendentalRischDESystem(F, UP): Exports == Implementation where
 \pagepic{ps/v104transsolvepackage.ps}{SOLVETRA}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SOLVETRA}{solve} 
 
 <<package SOLVETRA TransSolvePackage>>=
 )abbrev package SOLVETRA TransSolvePackage
@@ -95085,7 +96335,9 @@ generates the error (reported as bug \# 102):
 \pagepic{ps/v104transsolvepackageservice.ps}{SOLVESER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{SOLVESER}{decomposeFunc} &
+\cross{SOLVESER}{unvectorise} 
 \end{tabular}
 
 <<package SOLVESER TransSolvePackageService>>=
@@ -95205,7 +96457,9 @@ TransSolvePackageService(R) : Exports == Implementation where
 \pagepic{ps/v104triangularmatrixoperations.ps}{TRIMAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{TRIMAT}{LowTriBddDenomInv} &
+\cross{TRIMAT}{UpTriBddDenomInv} 
 \end{tabular}
 
 <<package TRIMAT TriangularMatrixOperations>>=
@@ -95290,6 +96544,13 @@ TriangularMatrixOperations(R,Row,Col,M): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{TRIGMNIP}{complexElementary} &
+\cross{TRIGMNIP}{complexForm} &
+\cross{TRIGMNIP}{complexNormalize} &
+\cross{TRIGMNIP}{imag} &
+\cross{TRIGMNIP}{real} \\
+\cross{TRIGMNIP}{real?} &
+\cross{TRIGMNIP}{trigs} &&&
 \end{tabular}
 
 <<package TRIGMNIP TrigonometricManipulations>>=
@@ -95450,6 +96711,15 @@ TrigonometricManipulations(R, F): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{TUBETOOL}{cosSinInfo} &
+\cross{TUBETOOL}{cross} &
+\cross{TUBETOOL}{dot} &
+\cross{TUBETOOL}{loopPoints} &
+\cross{TUBETOOL}{point} \\
+\cross{TUBETOOL}{unitVector} &
+\cross{TUBETOOL}{?*?} &
+\cross{TUBETOOL}{?+?} &
+\cross{TUBETOOL}{?-?} &
 \end{tabular}
 
 <<package TUBETOOL TubePlotTools>>=
@@ -95582,7 +96852,10 @@ TubePlotTools(): Exports == Implementation where
 \pagepic{ps/v104twodimensionalplotclipping.ps}{CLIP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{CLIP}{clip} &
+\cross{CLIP}{clipParametric} &
+\cross{CLIP}{clipWithRanges} 
 \end{tabular}
 
 <<package CLIP TwoDimensionalPlotClipping>>=
@@ -95883,7 +97156,10 @@ TwoDimensionalPlotClipping(): Exports == Implementation where
 \pagepic{ps/v104twofactorize.ps}{TWOFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{TWOFACT}{generalSqFr} &
+\cross{TWOFACT}{generalTwoFactor} &
+\cross{TWOFACT}{twoFactor} 
 \end{tabular}
 
 <<package TWOFACT TwoFactorize>>=
@@ -96121,7 +97397,10 @@ TwoFactorize(F) : C == T
 \pagepic{ps/v104univariatefactorize.ps}{UNIFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UNIFACT}{factor} &
+\cross{UNIFACT}{factorSquareFree} &
+\cross{UNIFACT}{henselFact} 
 \end{tabular}
 
 <<package UNIFACT UnivariateFactorize>>=
@@ -96449,8 +97728,7 @@ UnivariateFactorize(ZP) : public == private where
 \pagepic{ps/v104univariateformalpowerseriesfunctions.ps}{UFPS1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UFPS1}{hadamard} 
 
 <<package UFPS1 UnivariateFormalPowerSeriesFunctions>>=
 )abbrev package UFPS1 UnivariateFormalPowerSeriesFunctions
@@ -96482,8 +97760,7 @@ UnivariateFormalPowerSeriesFunctions(Coef: Ring): Exports == Implementation
 \pagepic{ps/v104univariatelaurentseriesfunctions2.ps}{ULS2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ULS2}{map} 
 
 <<package ULS2 UnivariateLaurentSeriesFunctions2>>=
 )abbrev package ULS2 UnivariateLaurentSeriesFunctions2
@@ -96538,8 +97815,7 @@ UnivariateLaurentSeriesFunctions2(Coef1,Coef2,var1,var2,cen1,cen2):_
 \pagepic{ps/v104univariatepolynomialcategoryfunctions2.ps}{UPOLYC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UPOLYC2}{map} 
 
 <<package UPOLYC2 UnivariatePolynomialCategoryFunctions2>>=
 )abbrev package UPOLYC2 UnivariatePolynomialCategoryFunctions2
@@ -96590,7 +97866,10 @@ UnivariatePolynomialCategoryFunctions2(R,PR,S,PS): Exports == Impl where
 \pagepic{ps/v104univariatepolynomialcommondenominator.ps}{UPCDEN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UPCDEN}{clearDenominator} &
+\cross{UPCDEN}{commonDenominator} &
+\cross{UPCDEN}{splitDenominator} 
 \end{tabular}
 
 <<package UPCDEN UnivariatePolynomialCommonDenominator>>=
@@ -96646,7 +97925,12 @@ UnivariatePolynomialCommonDenominator(R, Q, UP): Exports == Impl where
 \pagepic{ps/v104univariatepolynomialdecompositionpackage.ps}{UPDECOMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UPDECOMP}{leftFactorIfCan} &
+\cross{UPDECOMP}{monicCompleteDecompose} &
+\cross{UPDECOMP}{monicDecomposeIfCan} \\
+\cross{UPDECOMP}{monicRightFactorIfCan} &
+\cross{UPDECOMP}{rightFactorIfCan} &
 \end{tabular}
 
 <<package UPDECOMP UnivariatePolynomialDecompositionPackage>>=
@@ -96784,8 +98068,7 @@ UnivariatePolynomialDecompositionPackage(R,UP): Exports == Implementation where
 \pagepic{ps/v104univariatepolynomialdivisionpackage.ps}{UPDIVP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UPDIVP}{divideIfCan} 
 
 <<package UPDIVP UnivariatePolynomialDivisionPackage>>=
 )abbrev package UPDIVP UnivariatePolynomialDivisionPackage
@@ -96843,8 +98126,7 @@ UnivariatePolynomialDivisionPackage(R,UP): Exports == Implementation where
 \pagepic{ps/v104univariatepolynomialfunctions2.ps}{UP2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UP2}{map} 
 
 <<package UP2 UnivariatePolynomialFunctions2>>=
 )abbrev package UP2 UnivariatePolynomialFunctions2
@@ -96887,7 +98169,10 @@ UnivariatePolynomialFunctions2(x:Symbol, R:Ring, y:Symbol, S:Ring): with
 \pagepic{ps/v104univariatepolynomialmultiplicationpackage.ps}{UPMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UPMP}{karatsuba} &
+\cross{UPMP}{karatsubaOnce} &
+\cross{UPMP}{noKaratsuba} 
 \end{tabular}
 
 <<package UPMP UnivariatePolynomialMultiplicationPackage>>=
@@ -96991,7 +98276,10 @@ UnivariatePolynomialMultiplicationPackage(R: Ring, U: UnivariatePolynomialCatego
 \pagepic{ps/v104univariatepolynomialsquarefree.ps}{UPSQFREE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UPSQFREE}{squareFree} &
+\cross{UPSQFREE}{squareFreePart} &
+\cross{UPSQFREE}{BumInSepFFE} 
 \end{tabular}
 
 <<package UPSQFREE UnivariatePolynomialSquareFree>>=
@@ -97126,8 +98414,7 @@ UnivariatePolynomialSquareFree(RC:IntegralDomain,P):C == T
 \pagepic{ps/v104univariatepuiseuxseriesfunctions2.ps}{UPXS2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UPXS2}{map} 
 
 <<package UPXS2 UnivariatePuiseuxSeriesFunctions2>>=
 )abbrev package UPXS2 UnivariatePuiseuxSeriesFunctions2
@@ -97178,7 +98465,13 @@ UnivariatePuiseuxSeriesFunctions2(Coef1,Coef2,var1,var2,cen1,cen2):_
 \pagepic{ps/v104univariateskewpolynomialcategoryops.ps}{OREPCTO}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{OREPCTO}{apply} &
+\cross{OREPCTO}{leftDivide} &
+\cross{OREPCTO}{monicLeftDivide} \\
+\cross{OREPCTO}{monicRightDivide} &
+\cross{OREPCTO}{rightDivide} &
+\cross{OREPCTO}{times} 
 \end{tabular}
 
 <<package OREPCTO UnivariateSkewPolynomialCategoryOps>>=
@@ -97323,8 +98616,7 @@ UnivariateSkewPolynomialCategoryOps(R, C): Exports == Implementation where
 \pagepic{ps/v104univariatetaylorseriesfunctions2.ps}{UTS2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UTS2}{map} 
 
 <<package UTS2 UnivariateTaylorSeriesFunctions2>>=
 )abbrev package UTS2 UnivariateTaylorSeriesFunctions2
@@ -97372,6 +98664,14 @@ UnivariateTaylorSeriesFunctions2(Coef1,Coef2,UTS1,UTS2):_
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{UTSODE}{fixedPointExquo} &
+\cross{UTSODE}{mpsode} &
+\cross{UTSODE}{ode} &
+\cross{UTSODE}{ode1} &
+\cross{UTSODE}{ode2} \\
+\cross{UTSODE}{stFunc1} &
+\cross{UTSODE}{stFunc2} &
+\cross{UTSODE}{stFuncN} &&
 \end{tabular}
 
 <<package UTSODE UnivariateTaylorSeriesODESolver>>=
@@ -97512,8 +98812,7 @@ UnivariateTaylorSeriesODESolver(Coef,UTS):_
 \pagepic{ps/v104universalsegmentfunctions2.ps}{UNISEG2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{UNISEG2}{map} 
 
 <<package UNISEG2 UniversalSegmentFunctions2>>=
 )abbrev package UNISEG2 UniversalSegmentFunctions2
@@ -97563,7 +98862,13 @@ UniversalSegmentFunctions2(R:Type, S:Type): with
 \pagepic{ps/v104userdefinedpartialordering.ps}{UDPO}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{UDPO}{setOrder} &
+\cross{UDPO}{userOrdered?} &
+\cross{UDPO}{getOrder} &
+\cross{UDPO}{largest} &
+\cross{UDPO}{less?} &
+\cross{UDPO}{more?} 
 \end{tabular}
 
 <<package UDPO UserDefinedPartialOrdering>>=
@@ -97670,7 +98975,10 @@ UserDefinedPartialOrdering(S:SetCategory): with
 \pagepic{ps/v104userdefinedvariableordering.ps}{UDVO}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UDVO}{resetVariableOrder} &
+\cross{UDVO}{getVariableOrder} &
+\cross{UDVO}{setVariableOrder} 
 \end{tabular}
 
 <<package UDVO UserDefinedVariableOrdering>>=
@@ -97724,7 +99032,10 @@ UserDefinedVariableOrdering(): with
 \pagepic{ps/v104utsodetools.ps}{UTSODETL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{UTSODETL}{LODO2FUN} &
+\cross{UTSODETL}{RF2UTS} &
+\cross{UTSODETL}{UTS2UP} 
 \end{tabular}
 
 <<package UTSODETL UTSodetools>>=
@@ -97799,7 +99110,10 @@ UTSodetools(F, UP, L, UTS): Exports == Implementation where
 \pagepic{ps/v104vectorfunctions2.ps}{VECTOR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{VECTOR2}{map} &
+\cross{VECTOR2}{reduce} &
+\cross{VECTOR2}{scan} 
 \end{tabular}
 
 <<package VECTOR2 VectorFunctions2>>=
@@ -97869,7 +99183,22 @@ VectorFunctions2(A, B): Exports == Implementation where
 \pagepic{ps/v104viewdefaultspackage.ps}{VIEWDEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{VIEWDEF}{axesColorDefault} &
+\cross{VIEWDEF}{lineColorDefault} &
+\cross{VIEWDEF}{pointColorDefault} \\
+\cross{VIEWDEF}{pointSizeDefault} &
+\cross{VIEWDEF}{tubePointsDefault} &
+\cross{VIEWDEF}{tubeRadiusDefault} \\
+\cross{VIEWDEF}{unitsColorDefault} &
+\cross{VIEWDEF}{var1StepsDefault} &
+\cross{VIEWDEF}{var2StepsDefault} \\
+\cross{VIEWDEF}{unitsColorDefault} &
+\cross{VIEWDEF}{viewDefaults} &
+\cross{VIEWDEF}{viewPosDefault} \\
+\cross{VIEWDEF}{viewSizeDefault} &
+\cross{VIEWDEF}{viewWriteAvailable} &
+\cross{VIEWDEF}{viewWriteDefault} 
 \end{tabular}
 
 <<package VIEWDEF ViewDefaultsPackage>>=
@@ -98093,7 +99422,10 @@ ViewDefaultsPackage():Exports == Implementation where
 \pagepic{ps/v104viewportpackage.ps}{VIEW}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{VIEW}{coerce} &
+\cross{VIEW}{drawCurves} &
+\cross{VIEW}{graphCurves} 
 \end{tabular}
 
 <<package VIEW ViewportPackage>>=
@@ -98215,7 +99547,13 @@ ViewportPackage():Exports == Implementation where
 \pagepic{ps/v104weierstrasspreparation.ps}{WEIER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{WEIER}{cfirst} &
+\cross{WEIER}{clikeUniv} &
+\cross{WEIER}{crest} &
+\cross{WEIER}{qqq} \\
+\cross{WEIER}{sts2stst} &
+\cross{WEIER}{weierstrass} &&
 \end{tabular}
 
 <<package WEIER WeierstrassPreparation>>=
@@ -98377,7 +99715,9 @@ WeierstrassPreparation(R): Defn == Impl where
 \pagepic{ps/v104wildfunctionfieldintegralbasis.ps}{WFFINTBS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{WFFINTBS}{integralBasis} &
+\cross{WFFINTBS}{localIntegralBasis} 
 \end{tabular}
 
 <<package WFFINTBS WildFunctionFieldIntegralBasis>>=
@@ -98591,7 +99931,10 @@ WildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
 \pagepic{ps/v104xexponentialpackage.ps}{XEXPPKG}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{XEXPPKG}{exp} &
+\cross{XEXPPKG}{Hausdorff} &
+\cross{XEXPPKG}{log} 
 \end{tabular}
 
 <<XEXPPKG.dotabb>>=
@@ -101807,7 +103150,13 @@ o )show ZeroDimensionalSolvePackage
 \pagepic{ps/v104zerodimensionalsolvepackage.ps}{ZDSOLVE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{ZDSOLVE}{convert} &
+\cross{ZDSOLVE}{positiveSolve} &
+\cross{ZDSOLVE}{realSolve} &
+\cross{ZDSOLVE}{squareFree} &
+\cross{ZDSOLVE}{triangSolve} &
+\cross{ZDSOLVE}{univariateSolve} 
 \end{tabular}
 
 <<package ZDSOLVE ZeroDimensionalSolvePackage>>=
